; TILEMAPCONF PARA PHANTOMAS TALES #1: MARSPORT / CPC
; (C) 2009 THE MOJON TWINS

	XLIB TileMapConf
	
	XDEF tiles
	XDEF pantalla_juego
	XDEF tiles_tocados
	XDEF posiciones_pantalla
	XDEF posiciones_super_buffer
	
	XDEF posicion_inicial_area_visible
	XDEF posicion_inicial_superbuffer
	XDEF ancho_pantalla_bytes
	XDEF alto_pantalla_bytes
	XDEF ancho_pantalla_bytes_visible
	
	XDEF tile11
	XDEF _tile_0

	XDEF mascara1
	XDEF mascara2
	
	; Voy a definir como mscara de los sprites el color 12
	
	; 0: $00, $00
	; 1: $80, $40
	; 2: $04, $08
	; 3: $44, $88
	; 4: $10, $20
	; 5: $50, $A0
	; 6: $14, $28
	; 7: $54, $A8
	; 8: $01, $02
	; 9: $41, $82
	; 10: $05, $0A
	; 11: $45, $8A
	; 12: $11, $22
	
	defc mascara1 = $11;
	defc mascara2 = $22;
	
; VALORES QUE DEFINEN EL BUFFER Y LA PANTALLA

	defc posicion_inicial_area_visible = $e05a ;$e8a8
	defc posicion_inicial_superbuffer = $100
	
	defc T_WIDTH = 	30 ;32 ;28 ;32 ;28 ;16			;max=40		;dimensiones de la pantalla en tiles
	defc T_HEIGHT = 20 ;16							;max=20
		
	defc ancho_pantalla_bytes = 2*T_WIDTH ; 2*T_WIDTH;		; El ancho de pantalla influye determinantemente en 
															; numerosas rutinas que hay que actualizar si se cambia
															; OJO con el modo
	defc alto_pantalla_bytes = 8*T_HEIGHT ;
	
	defc ancho_pantalla_bytes_visible = 2*T_WIDTH ;32  ; 64;		;dentro del area definida, cuanto se debe mostrar. 2*T_WIDTH

;El tamao del buffer es ancho_pantalla_bytes*alto_pantalla_bytes


.TileMapConf
;Con la definicin del mapeado hay que tener en cuenta que las coordenadas son:
;ANCHO=64 bytes (128 pixels en modo 0)
;ALTO=128 pixels

;el mximo que entra en el CPC es 20 lneas
;SI NO SE VAN A USAR TODAS LAS LINEAS, PARA AHORRA MEMORIA ES INTERESANTE COMENTARLAS

.posiciones_pantalla		;Posiciones en las que se dibujan los tiles
	defw posicion_inicial_area_visible+$50*0
	defw posicion_inicial_area_visible+$50*1  
	defw posicion_inicial_area_visible+$50*2
	defw posicion_inicial_area_visible+$50*3
	defw posicion_inicial_area_visible+$50*4
	defw posicion_inicial_area_visible+$50*5 
	defw posicion_inicial_area_visible+$50*6 
	defw posicion_inicial_area_visible+$50*7 
	defw posicion_inicial_area_visible+$50*8 
	defw posicion_inicial_area_visible+$50*9 
	defw posicion_inicial_area_visible+$50*10 
	defw posicion_inicial_area_visible+$50*11 
	defw posicion_inicial_area_visible+$50*12 
	defw posicion_inicial_area_visible+$50*13 
	defw posicion_inicial_area_visible+$50*14 
	defw posicion_inicial_area_visible+$50*15
	defw posicion_inicial_area_visible+$50*16
	defw posicion_inicial_area_visible+$50*17
	defw posicion_inicial_area_visible+$50*18
	defw posicion_inicial_area_visible+$50*19

.posiciones_super_buffer	;muestra el inicio de cada lnea (son 10 tiles de 8x16 de alto)

	;defw $1000, $1200, $1400, $1600, $1800, $1a00, $1c00, $1e00, $2000, $2200, $2400, $2600, $2800, $2a00, $2c00, $2f00
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*0
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*1
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*2
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*3
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*4
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*5
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*6
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*7
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*8
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*9
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*10
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*11
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*12
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*13
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*14
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*15
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*16
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*17
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*18
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*19
	
	;defw $1000, $1480, $1900, $1d80, $2200, $2680, $2b00, $2f80, $3400, $3880
	
;Rutinas para transferir bloques independientes a la pantalla

;Se busca el subbloque de 8x8 correspondiente a las coordenadas x,y
;el bloque se calcula dividiendo la coordenada x /8

.pantalla_actual 
	defw 0

.pantalla_juego  ;en tiles
	defs T_WIDTH*T_HEIGHT
	defb $FF	;Este byte es importante, marca el fin de la pantalla.

.tiles_tocados defs 150 ;150	;cuando un tile es tocado, se marca en esta tabla para luego restaurarlo. Es una tabla sin duplicados.

.tiles ;Son de 2x8 bytes
._tiles

._tile_0
 
._tile_0_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_1
 
._tile_1_DATA
defb $0, $0
defb $4, $0
defb $4, $0
defb $4, $0
defb $4, $0
defb $0, $0
defb $4, $0
defb $0, $0
._tile_2
 
._tile_2_DATA
defb $0, $0
defb $58, $8
defb $58, $8
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_3
 
._tile_3_DATA
defb $0, $0
defb $58, $8
defb $F0, $A0
defb $58, $8
defb $58, $8
defb $F0, $A0
defb $58, $8
defb $0, $0
._tile_4
 
._tile_4_DATA
defb $0, $0
defb $4, $0
defb $58, $A0
defb $58, $0
defb $58, $A0
defb $4, $A0
defb $58, $A0
defb $4, $0
._tile_5
 
._tile_5_DATA
defb $0, $0
defb $A4, $A0
defb $F0, $8
defb $4, $0
defb $4, $0
defb $58, $A0
defb $A4, $A0
defb $0, $0
._tile_6
 
._tile_6_DATA
defb $0, $0
defb $4, $0
defb $58, $0
defb $4, $0
defb $58, $A0
defb $A4, $8
defb $58, $A0
defb $0, $0
._tile_7
 
._tile_7_DATA
defb $0, $0
defb $4, $0
defb $4, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_8
 
._tile_8_DATA
defb $0, $0
defb $0, $A0
defb $50, $0
defb $50, $0
defb $50, $0
defb $50, $0
defb $0, $A0
defb $0, $0
._tile_9
 
._tile_9_DATA
defb $0, $0
defb $A0, $0
defb $50, $0
defb $50, $0
defb $50, $0
defb $C, $0
defb $A0, $0
defb $0, $0
._tile_10
 
._tile_10_DATA
defb $0, $0
defb $0, $0
defb $50, $8
defb $4, $0
defb $58, $A0
defb $4, $0
defb $50, $8
defb $0, $0
._tile_11
 
._tile_11_DATA
defb $0, $0
defb $0, $0
defb $50, $0
defb $50, $0
defb $F0, $A0
defb $50, $0
defb $50, $0
defb $0, $0
._tile_12
 
._tile_12_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $4, $0
defb $4, $0
defb $4, $0
._tile_13
 
._tile_13_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $58, $A0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_14
 
._tile_14_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $50, $0
defb $50, $0
defb $0, $0
._tile_15
 
._tile_15_DATA
defb $0, $0
defb $0, $0
defb $0, $A0
defb $4, $8
defb $4, $0
defb $4, $0
defb $C, $0
defb $0, $0
._tile_16
 
._tile_16_DATA
defb $0, $0
defb $58, $8
defb $A4, $A0
defb $A4, $A0
defb $A4, $A0
defb $A4, $A0
defb $58, $8
defb $0, $0
._tile_17
 
._tile_17_DATA
defb $0, $0
defb $50, $0
defb $58, $0
defb $50, $0
defb $50, $0
defb $50, $0
defb $58, $A0
defb $0, $0
._tile_18
 
._tile_18_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $0, $A0
defb $58, $8
defb $A0, $0
defb $F0, $A0
defb $0, $0
._tile_19
 
._tile_19_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $4, $8
defb $0, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_20
 
._tile_20_DATA
defb $0, $0
defb $50, $0
defb $58, $0
defb $F0, $0
defb $58, $0
defb $F0, $A0
defb $50, $0
defb $0, $0
._tile_21
 
._tile_21_DATA
defb $0, $0
defb $F0, $A0
defb $A0, $0
defb $F0, $8
defb $0, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_22
 
._tile_22_DATA
defb $0, $0
defb $58, $8
defb $A0, $0
defb $F0, $8
defb $A0, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_23
 
._tile_23_DATA
defb $0, $0
defb $F0, $A0
defb $0, $A0
defb $4, $8
defb $50, $0
defb $50, $0
defb $4, $0
defb $0, $0
._tile_24
 
._tile_24_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $58, $8
defb $A0, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_25
 
._tile_25_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $A0, $A0
defb $58, $A0
defb $0, $A0
defb $58, $8
defb $0, $0
._tile_26
 
._tile_26_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $4, $0
defb $0, $0
defb $0, $0
defb $4, $0
defb $0, $0
._tile_27
 
._tile_27_DATA
defb $0, $0
defb $0, $0
defb $50, $0
defb $0, $0
defb $0, $0
defb $50, $0
defb $50, $0
defb $A0, $0
._tile_28
 
._tile_28_DATA
defb $0, $0
defb $0, $0
defb $50, $A0
defb $50, $0
defb $50, $0
defb $50, $0
defb $50, $A0
defb $0, $0
._tile_29
 
._tile_29_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $58, $A0
defb $0, $0
defb $58, $A0
defb $0, $0
defb $0, $0
._tile_30
 
._tile_30_DATA
defb $0, $0
defb $0, $0
defb $4, $0
defb $4, $0
defb $4, $8
defb $4, $0
defb $4, $0
defb $0, $0
._tile_31
 
._tile_31_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $4, $8
defb $4, $0
defb $0, $0
defb $4, $0
defb $0, $0
._tile_32
 
._tile_32_DATA
defb $0, $0
defb $58, $8
defb $A4, $A0
defb $F0, $A0
defb $F0, $A0
defb $A0, $0
defb $58, $8
defb $0, $0
._tile_33
 
._tile_33_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $A0, $A0
defb $F0, $A0
defb $A0, $A0
defb $A0, $A0
defb $0, $0
._tile_34
 
._tile_34_DATA
defb $0, $0
defb $F0, $8
defb $A0, $A0
defb $F0, $8
defb $A0, $A0
defb $A0, $A0
defb $F0, $8
defb $0, $0
._tile_35
 
._tile_35_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $A0, $0
defb $A0, $0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_36
 
._tile_36_DATA
defb $0, $0
defb $F0, $0
defb $A4, $8
defb $A0, $A0
defb $A0, $A0
defb $A4, $8
defb $F0, $0
defb $0, $0
._tile_37
 
._tile_37_DATA
defb $0, $0
defb $F0, $A0
defb $A0, $0
defb $F0, $8
defb $A0, $0
defb $A0, $0
defb $F0, $A0
defb $0, $0
._tile_38
 
._tile_38_DATA
defb $0, $0
defb $F0, $A0
defb $A0, $0
defb $F0, $8
defb $A0, $0
defb $A0, $0
defb $A0, $0
defb $0, $0
._tile_39
 
._tile_39_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $A0, $0
defb $A4, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_40
 
._tile_40_DATA
defb $0, $0
defb $A0, $A0
defb $A0, $A0
defb $F0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $0, $0
._tile_41
 
._tile_41_DATA
defb $0, $0
defb $58, $A0
defb $4, $0
defb $4, $0
defb $4, $0
defb $4, $0
defb $58, $A0
defb $0, $0
._tile_42
 
._tile_42_DATA
defb $0, $0
defb $0, $A0
defb $0, $A0
defb $0, $A0
defb $A0, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_43
 
._tile_43_DATA
defb $0, $0
defb $A0, $8
defb $A4, $A0
defb $F0, $0
defb $A4, $0
defb $F0, $8
defb $A0, $A0
defb $0, $0
._tile_44
 
._tile_44_DATA
defb $0, $0
defb $A0, $0
defb $A0, $0
defb $A0, $0
defb $A0, $0
defb $A0, $0
defb $F0, $A0
defb $0, $0
._tile_45
 
._tile_45_DATA
defb $0, $0
defb $A0, $A0
defb $F0, $A0
defb $F0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $0, $0
._tile_46
 
._tile_46_DATA
defb $0, $0
defb $F0, $8
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $0, $0
._tile_47
 
._tile_47_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_48
 
._tile_48_DATA
defb $0, $0
defb $F0, $8
defb $A0, $A0
defb $A0, $A0
defb $F0, $8
defb $A0, $0
defb $A0, $0
defb $0, $0
._tile_49
 
._tile_49_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $A0, $A0
defb $A4, $A0
defb $A4, $A0
defb $58, $8
defb $0, $0
._tile_50
 
._tile_50_DATA
defb $0, $0
defb $F0, $8
defb $A0, $A0
defb $A0, $A0
defb $F0, $8
defb $A4, $8
defb $A0, $A0
defb $0, $0
._tile_51
 
._tile_51_DATA
defb $0, $0
defb $58, $8
defb $A0, $0
defb $58, $8
defb $0, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_52
 
._tile_52_DATA
defb $0, $0
defb $F0, $A0
defb $50, $0
defb $50, $0
defb $50, $0
defb $50, $0
defb $50, $0
defb $0, $0
._tile_53
 
._tile_53_DATA
defb $0, $0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_54
 
._tile_54_DATA
defb $0, $0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $58, $8
defb $50, $0
defb $0, $0
._tile_55
 
._tile_55_DATA
defb $0, $0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $F0, $A0
defb $58, $8
defb $0, $0
._tile_56
 
._tile_56_DATA
defb $0, $0
defb $A0, $A4
defb $58, $8
defb $50, $0
defb $50, $0
defb $58, $8
defb $A0, $A0
defb $0, $0
._tile_57
 
._tile_57_DATA
defb $0, $0
defb $A0, $A0
defb $A4, $A0
defb $58, $8
defb $50, $0
defb $50, $0
defb $50, $0
defb $0, $0
._tile_58
 
._tile_58_DATA
defb $0, $0
defb $F0, $A0
defb $4, $8
defb $4, $0
defb $4, $0
defb $C, $0
defb $F0, $A0
defb $0, $0
._tile_59
 
._tile_59_DATA
defb $0, $0
defb $50, $A0
defb $50, $0
defb $50, $0
defb $50, $0
defb $50, $0
defb $50, $A0
defb $0, $0
._tile_60
 
._tile_60_DATA
defb $0, $0
defb $0, $0
defb $A0, $0
defb $58, $0
defb $50, $0
defb $4, $0
defb $0, $A0
defb $0, $0
._tile_61
 
._tile_61_DATA
defb $0, $0
defb $F0, $0
defb $50, $0
defb $50, $0
defb $50, $0
defb $50, $0
defb $F0, $0
defb $0, $0
._tile_62
 
._tile_62_DATA
defb $0, $0
defb $4, $0
defb $58, $0
defb $F0, $8
defb $4, $0
defb $4, $0
defb $4, $0
defb $0, $0
._tile_63
 
._tile_63_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $F0, $F0
._tile_64
 
._tile_64_DATA
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
._tile_65
 
._tile_65_DATA
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
._tile_66
 
._tile_66_DATA
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
._tile_67
 
._tile_67_DATA
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
._tile_68
 
._tile_68_DATA
defb $50, $B0
defb $E0, $C0
defb $E4, $B0
defb $70, $C0
defb $B0, $C0
defb $30, $85
defb $44, $64
defb $0, $0
._tile_69
 
._tile_69_DATA
defb $30, $88
defb $C0, $C4
defb $48, $90
defb $85, $C4
defb $C0, $C4
defb $4A, $4C
defb $CC, $8
defb $0, $0
._tile_70
 
._tile_70_DATA
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
._tile_71
 
._tile_71_DATA
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
._tile_72
 
._tile_72_DATA
defb $1E, $A8
defb $14, $7C
defb $1E, $A8
defb $14, $7C
defb $1E, $A8
defb $14, $7C
defb $1E, $A8
defb $14, $7C
._tile_73
 
._tile_73_DATA
defb $0, $5
defb $0, $A8
defb $0, $5
defb $0, $A8
defb $0, $5
defb $0, $A8
defb $0, $5
defb $0, $A8
._tile_74
 
._tile_74_DATA
defb $1E, $BC
defb $54, $C7
defb $4E, $C
defb $4, $48
defb $E, $85
defb $CC, $C
defb $8C, $D
defb $C, $4A
._tile_75
 
._tile_75_DATA
defb $FC, $2D
defb $CF, $A8
defb $C0, $85
defb $4A, $80
defb $80, $85
defb $48, $84
defb $80, $C0
defb $0, $4
._tile_76
 
._tile_76_DATA
defb $1E, $A8
defb $14, $7C
defb $1E, $A8
defb $14, $7C
defb $1E, $A8
defb $14, $7C
defb $1E, $A8
defb $14, $7C
._tile_77
 
._tile_77_DATA
defb $0, $5
defb $0, $A8
defb $0, $5
defb $0, $A8
defb $0, $5
defb $0, $A8
defb $0, $5
defb $0, $A8
._tile_78
 
._tile_78_DATA
defb $1E, $A8
defb $14, $7C
defb $1E, $A8
defb $14, $7C
defb $1E, $A8
defb $14, $7C
defb $1E, $A8
defb $14, $7C
._tile_79
 
._tile_79_DATA
defb $0, $5
defb $0, $A8
defb $0, $5
defb $0, $A8
defb $0, $5
defb $0, $A8
defb $0, $5
defb $0, $A8
._tile_80
 
._tile_80_DATA
defb $64, $4C
defb $8C, $C
defb $CC, $C
defb $E, $85
defb $4, $48
defb $4E, $C
defb $54, $C7
defb $1E, $BC
._tile_81
 
._tile_81_DATA
defb $48, $84
defb $C, $C0
defb $48, $84
defb $80, $85
defb $4A, $80
defb $C0, $85
defb $CF, $A8
defb $FC, $2D
._tile_82
 
._tile_82_DATA
defb $1E, $A8
defb $14, $7C
defb $1E, $A8
defb $14, $7C
defb $1E, $A8
defb $14, $7C
defb $1E, $A8
defb $14, $7C
._tile_83
 
._tile_83_DATA
defb $0, $5
defb $0, $A8
defb $0, $5
defb $0, $A8
defb $0, $5
defb $0, $A8
defb $0, $5
defb $0, $A8
._tile_84
 
._tile_84_DATA
defb $84, $48
defb $4C, $C
defb $98, $8C
defb $4C, $48
defb $C, $84
defb $C, $48
defb $C, $C0
defb $40, $80
._tile_85
 
._tile_85_DATA
defb $0, $0
defb $4, $48
defb $C4, $48
defb $8C, $84
defb $64, $48
defb $8C, $84
defb $84, $48
defb $40, $80
._tile_86
 
._tile_86_DATA
defb $0, $0
defb $40, $40
defb $C4, $84
defb $8C, $84
defb $C, $48
defb $C, $C0
defb $40, $C0
defb $0, $0
._tile_87
 
._tile_87_DATA
defb $4C, $8
defb $98, $8C
defb $4C, $48
defb $84, $84
defb $48, $48
defb $84, $80
defb $40, $40
defb $0, $0
._tile_88
 
._tile_88_DATA
defb $0, $0
defb $80, $C0
defb $C8, $64
defb $90, $B0
defb $44, $64
defb $40, $8C
defb $40, $C0
defb $44, $64
._tile_89
 
._tile_89_DATA
defb $84, $8
defb $C, $84
defb $48, $48
defb $8C, $80
defb $48, $40
defb $80, $80
defb $40, $8
defb $84, $48
._tile_90
 
._tile_90_DATA
defb $98, $B0
defb $70, $64
defb $98, $98
defb $CC, $64
defb $98, $8C
defb $CC, $CC
defb $84, $8C
defb $40, $C
._tile_91
 
._tile_91_DATA
defb $8C, $84
defb $48, $48
defb $C8, $C0
defb $8, $0
defb $48, $8
defb $C, $C
defb $48, $48
defb $80, $80
._tile_92
 
._tile_92_DATA
defb $5, $7
defb $B, $0
defb $2, $7
defb $5F, $3
defb $8, $2
defb $8D, $AF
defb $88, $3
defb $8C, $0
._tile_93
 
._tile_93_DATA
defb $0, $0
defb $48, $80
defb $C4, $48
defb $E, $8C
defb $4C, $48
defb $84, $8C
defb $E, $48
defb $84, $C8
._tile_94
 
._tile_94_DATA
defb $8, $7
defb $81, $AB
defb $5, $7
defb $80, $4
defb $1, $AF
defb $0, $AB
defb $A, $B
defb $0, $5
._tile_95
 
._tile_95_DATA
defb $4C, $48
defb $E, $84
defb $C, $48
defb $48, $0
defb $0, $40
defb $A, $0
defb $0, $F
defb $0, $0
._tile_96
 
._tile_96_DATA
defb $0, $0
defb $40, $98
defb $C4, $64
defb $98, $B0
defb $70, $70
defb $30, $98
defb $64, $64
defb $CC, $CC
._tile_97
 
._tile_97_DATA
defb $0, $0
defb $C8, $80
defb $64, $48
defb $CC, $8C
defb $64, $48
defb $CC, $8C
defb $CC, $48
defb $8C, $C8
._tile_98
 
._tile_98_DATA
defb $4C, $CC
defb $84, $CC
defb $40, $4C
defb $80, $84
defb $C0, $0
defb $80, $0
defb $0, $F
defb $0, $0
._tile_99
 
._tile_99_DATA
defb $4C, $48
defb $8C, $84
defb $C, $48
defb $48, $0
defb $0, $40
defb $0, $0
defb $F, $F
defb $0, $0
._tile_100
 
._tile_100_DATA
defb $C0, $C0
defb $70, $B0
defb $4, $84
defb $18, $18
defb $70, $84
defb $C, $10
defb $B0, $C
defb $64, $58
._tile_101
 
._tile_101_DATA
defb $C0, $C0
defb $B0, $30
defb $80, $8
defb $48, $8C
defb $D0, $24
defb $18, $8C
defb $84, $48
defb $60, $B0
._tile_102
 
._tile_102_DATA
defb $24, $40
defb $88, $0
defb $8, $A
defb $0, $0
defb $F, $A
defb $0, $0
defb $F, $F
defb $0, $0
._tile_103
 
._tile_103_DATA
defb $20, $60
defb $88, $90
defb $8, $4
defb $20, $40
defb $8, $A
defb $80, $0
defb $5, $F
defb $0, $0
._tile_104
 
._tile_104_DATA
defb $F, $F
defb $0, $0
defb $A, $0
defb $0, $AA
defb $2, $55
defb $AA, $1
defb $2, $1
defb $1, $5
._tile_105
 
._tile_105_DATA
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $0, $AA
defb $0, $2
defb $0, $2
defb $55, $2
._tile_106
 
._tile_106_DATA
defb $5, $2
defb $0, $2
defb $A, $2
defb $0, $AA
defb $0, $AA
defb $55, $2
defb $1, $AA
defb $7, $7
._tile_107
 
._tile_107_DATA
defb $0, $2
defb $0, $A
defb $AB, $0
defb $1, $AA
defb $AB, $0
defb $7, $0
defb $55, $2
defb $57, $7
._tile_108
 
._tile_108_DATA
defb $F, $F
defb $58, $B0
defb $E0, $C0
defb $E4, $B0
defb $70, $C0
defb $B0, $C0
defb $30, $85
defb $60, $C0
._tile_109
 
._tile_109_DATA
defb $F, $F
defb $30, $8C
defb $C0, $C4
defb $48, $90
defb $85, $C4
defb $C0, $C4
defb $4A, $4C
defb $C0, $8C
._tile_110
 
._tile_110_DATA
defb $64, $85
defb $24, $C0
defb $60, $4A
defb $C8, $C0
defb $60, $E
defb $C8, $C4
defb $4C, $8C
defb $0, $0
._tile_111
 
._tile_111_DATA
defb $84, $C4
defb $C4, $84
defb $48, $84
defb $C8, $84
defb $C0, $C
defb $84, $C
defb $8C, $D
defb $0, $0
._tile_112
 
._tile_112_DATA
defb $F, $5
defb $0, $0
defb $F, $D
defb $0, $88
defb $F, $25
defb $0, $A0
defb $A, $A5
defb $4, $A0
._tile_113
 
._tile_113_DATA
defb $F, $F
defb $0, $0
defb $F, $5
defb $0, $0
defb $F, $8D
defb $0, $20
defb $F, $A5
defb $0, $20
._tile_114
 
._tile_114_DATA
defb $4E, $E4
defb $10, $B0
defb $5A, $F0
defb $10, $B0
defb $50, $F0
defb $58, $F0
defb $D8, $F0
defb $70, $F0
._tile_115
 
._tile_115_DATA
defb $F, $A4
defb $0, $E4
defb $0, $B0
defb $4, $F0
defb $44, $B0
defb $10, $F0
defb $50, $F0
defb $D8, $F0
._tile_116
 
._tile_116_DATA
defb $64, $CC
defb $8C, $C
defb $8C, $C
defb $8C, $C8
defb $8C, $80
defb $8C, $80
defb $8C, $88
defb $8C, $8
._tile_117
 
._tile_117_DATA
defb $CC, $8C
defb $C, $D
defb $C, $D
defb $C4, $D
defb $40, $D
defb $40, $D
defb $44, $D
defb $4, $D
._tile_118
 
._tile_118_DATA
defb $8C, $88
defb $8C, $88
defb $8C, $80
defb $8C, $0
defb $8C, $C
defb $8C, $C
defb $8C, $C
defb $D, $F
._tile_119
 
._tile_119_DATA
defb $44, $D
defb $44, $D
defb $40, $D
defb $0, $D
defb $C, $D
defb $C, $D
defb $C, $D
defb $F, $4F
._tile_120
 
._tile_120_DATA
defb $F, $F
defb $0, $DE
defb $5E, $3C
defb $14, $6D
defb $1E, $6D
defb $14, $6D
defb $5E, $3C
defb $0, $DE
._tile_121
 
._tile_121_DATA
defb $F, $F
defb $8A, $0
defb $7C, $F
defb $3C, $0
defb $3C, $F
defb $3C, $0
defb $7C, $F
defb $8A, $0
._tile_122
 
._tile_122_DATA
defb $F, $1E
defb $0, $14
defb $F, $1E
defb $54, $3C
defb $F, $9E
defb $54, $3C
defb $F, $F
defb $0, $0
._tile_123
 
._tile_123_DATA
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
._tile_124
 
._tile_124_DATA
defb $F, $F
defb $0, $16
defb $4F, $ED
defb $14, $DE
defb $5E, $F0
defb $56, $F4
defb $7C, $3C
defb $7C, $B4
._tile_125
 
._tile_125_DATA
defb $F, $F
defb $ED, $0
defb $DE, $8F
defb $ED, $28
defb $3C, $AD
defb $BC, $ED
defb $BC, $BC
defb $BC, $BC
._tile_126
 
._tile_126_DATA
defb $7C, $7C
defb $7C, $7C
defb $DE, $7C
defb $54, $3C
defb $1E, $DE
defb $45, $ED
defb $F, $9E
defb $0, $0
._tile_127
 
._tile_127_DATA
defb $3C, $BC
defb $3C, $3
defb $3C, $ED
defb $7C, $2
defb $47, $AD
defb $DE, $8A
defb $47, $F
defb $0, $0
._tile_128
 
._tile_128_DATA
defb $F, $F
defb $0, $0
defb $F, $A
defb $0, $40
defb $F, $54
defb $0, $14
defb $F, $14
defb $0, $54
._tile_129
 
._tile_129_DATA
defb $A, $5
defb $D4, $A8
defb $BC, $28
defb $3C, $7C
defb $3C, $FC
defb $3C, $7C
defb $3C, $E8
defb $7C, $A8
._tile_130
 
._tile_130_DATA
defb $F, $11
defb $0, $50
defb $A, $A0
defb $0, $A0
defb $50, $0
defb $72, $0
defb $1B, $5
defb $0, $0
._tile_131
 
._tile_131_DATA
defb $FC, $7
defb $42, $0
defb $0, $5
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
._tile_132
 
._tile_132_DATA
defb $C0, $C0
defb $58, $B0
defb $A0, $40
defb $A0, $0
defb $60, $0
defb $A0, $4C
defb $60, $0
defb $20, $40
._tile_133
 
._tile_133_DATA
defb $C0, $C0
defb $30, $8C
defb $4, $C4
defb $8, $10
defb $88, $44
defb $4, $44
defb $0, $C4
defb $44, $4
._tile_134
 
._tile_134_DATA
defb $20, $0
defb $20, $84
defb $24, $0
defb $88, $44
defb $20, $4
defb $88, $40
defb $4C, $8C
defb $C0, $C0
._tile_135
 
._tile_135_DATA
defb $8, $44
defb $0, $4
defb $48, $C
defb $40, $4
defb $0, $84
defb $0, $4
defb $8C, $48
defb $C0, $C0
._tile_136
 
._tile_136_DATA
defb $F, $85
defb $0, $8
defb $A, $80
defb $0, $88
defb $40, $60
defb $4C, $E4
defb $40, $60
defb $0, $88
._tile_137
 
._tile_137_DATA
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $5, $F
defb $8, $0
defb $5, $F
defb $0, $0
._tile_138
 
._tile_138_DATA
defb $A, $80
defb $0, $8
defb $F, $85
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
._tile_139
 
._tile_139_DATA
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
._tile_140
 
._tile_140_DATA
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
._tile_141
 
._tile_141_DATA
defb $F, $F
defb $0, $5
defb $F, $F
defb $0, $F
defb $F, $F
defb $5, $F
defb $F, $F
defb $F, $F
._tile_142
 
._tile_142_DATA
defb $F, $F
defb $0, $5
defb $F, $F
defb $0, $F
defb $F, $F
defb $5, $F
defb $F, $F
defb $F, $F
._tile_143
 
._tile_143_DATA
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
._tile_144
 
._tile_144_DATA
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
._tile_145
 
._tile_145_DATA
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
._tile_146
 
._tile_146_DATA
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
._tile_147
 
._tile_147_DATA
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
._tile_148
 
._tile_148_DATA
defb $F, $F
defb $A, $0
defb $F, $F
defb $F, $0
defb $F, $F
defb $F, $A
defb $F, $F
defb $F, $F
._tile_149
 
._tile_149_DATA
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
._tile_150
 
._tile_150_DATA
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
defb $F, $F
._tile_151
 
._tile_151_DATA
defb $F, $F
defb $A, $0
defb $F, $F
defb $F, $0
defb $F, $F
defb $F, $A
defb $F, $F
defb $F, $F
._tile_152
 
._tile_152_DATA
defb $F, $F
defb $0, $54
defb $F, $1E
defb $0, $AD
defb $F, $2D
defb $54, $A
defb $1E, $F
defb $B4, $3C
._tile_153
 
._tile_153_DATA
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $3C, $A8
._tile_154
 
._tile_154_DATA
defb $B4, $3C
defb $1E, $F
defb $5E, $F
defb $5, $28
defb $F, $AD
defb $0, $1E
defb $F, $5E
defb $0, $5
._tile_155
 
._tile_155_DATA
defb $3C, $AD
defb $F, $A
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
._tile_156
 
._tile_156_DATA
defb $F, $E
defb $0, $44
defb $F, $1A
defb $0, $4
defb $F, $F
defb $0, $0
defb $C, $C
defb $98, $30
._tile_157
 
._tile_157_DATA
defb $F, $F
defb $0, $0
defb $D, $F
defb $88, $0
defb $24, $F
defb $4C, $0
defb $18, $D
defb $30, $A0
._tile_158
 
._tile_158_DATA
defb $98, $30
defb $C, $C
defb $F, $F
defb $0, $0
defb $F, $E
defb $0, $10
defb $F, $4E
defb $0, $4
._tile_159
 
._tile_159_DATA
defb $30, $A5
defb $18, $8
defb $4C, $F
defb $24, $0
defb $8D, $F
defb $8, $0
defb $F, $F
defb $0, $0
._tile_160
 
._tile_160_DATA
defb $F, $5B
defb $0, $14
defb $F, $B7
defb $0, $3D
defb $5B, $3F
defb $14, $B7
defb $B7, $1F
defb $79, $15
._tile_161
 
._tile_161_DATA
defb $F, $F
defb $0, $0
defb $A7, $F
defb $28, $0
defb $7B, $F
defb $B6, $0
defb $1F, $A7
defb $51, $28
._tile_162
 
._tile_162_DATA
defb $2F, $1F
defb $A2, $15
defb $F, $1F
defb $0, $15
defb $F, $1F
defb $0, $15
defb $F, $1F
defb $0, $0
._tile_163
 
._tile_163_DATA
defb $F, $2F
defb $0, $A2
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
._tile_164
 
._tile_164_DATA
defb $F, $F
defb $0, $F0
defb $F, $F
defb $5A, $30
defb $A5, $F
defb $5A, $C0
defb $4E, $F0
defb $25, $F
._tile_165
 
._tile_165_DATA
defb $F, $F
defb $A5, $0
defb $5A, $F
defb $0, $A0
defb $8D, $A5
defb $5A, $0
defb $A5, $8D
defb $8D, $20
._tile_166
 
._tile_166_DATA
defb $5A, $C0
defb $4E, $F0
defb $25, $F
defb $5A, $C0
defb $F, $F0
defb $0, $0
defb $F, $30
defb $0, $0
._tile_167
 
._tile_167_DATA
defb $5A, $F
defb $A5, $88
defb $8D, $25
defb $5A, $0
defb $A5, $8D
defb $0, $20
defb $30, $F
defb $0, $0
._tile_168
 
._tile_168_DATA
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $5
defb $0, $2
defb $0, $52
defb $E9, $12
._tile_169
 
._tile_169_DATA
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F0, $5
defb $30, $88
._tile_170
 
._tile_170_DATA
defb $0, $12
defb $0, $2
defb $F, $5
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
._tile_171
 
._tile_171_DATA
defb $64, $5
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
defb $F, $F
defb $0, $0
