// Sir Ababol 2 CPC
// ================

// Copyleft 2012/2014 The Mojon Twins
// Uses the Churrera engine 4.0 (patched 128K version)
// Uses the Phantomas engine level manager 2.0
// Uses the Maritrini gates detector 3.0
// Uses the Insert Pretentious Name Here 5.7

// CPC Password:
unsigned char cpc_password [] = {
	4, 3, 2, 1, 0, 4, 1, 3, 0
};

#include <cpcrslib.h>				// Biblioteca de juego por Artaburu.
#include <cpcwyzlib.h>				// Replayer AY por WYZ, adaptado por Artaburu.
#include "sound.h"					// Configuracin del replayer AY.

#include "definitions.h"
#include "pantallas.h"
#include "basio.h"

// Lowest in the memory map, least used functions

// Engine config
#include "config.h"

// Graphics
#include "spriteset.h"

// printer
#include "printer.h"

// Level manager/renderer
#include "levelmanager.h"

// Sound

// CPCRSLIB init stuff et al
#include "mysystem.h"

// Password
#include "cpcpass.h"

// Engine
#include "engine.h"

// Menu
#include "menu.h"

// Main
unsigned char do_game;
unsigned char *spacer = "            ";
unsigned char do_pass = 1;
void main (void) {
	// Initialize everything
	
	init_cpcrslib_system ();	
	init_tileset ();
	
	while (1) {
		menu ();
		
		if (do_pass) {
			enter_password ();
			do_pass = 0;
		}
		
		p_score = 0;
		p_keys = 0;
		p_life = 3;
		level = 0;
		do_game = 1;		
		while (do_game) {
			blackout_area ();
			
			str_level [7] = '1' + level;
			print_str (12, 10, 71, str_level);
			print_str (11, 12, 71, "LET'S GO!!");
			play_song (song_3);
			wait_a_bit (500);
			cpc_WyzSetPlayerOff ();
			
			it = game ();
			
			if (!it) {
				print_str (10, 10, 79, spacer);
				print_str (10, 11, 79, " GAME OVER! ");	
				print_str (10, 12, 79, spacer);
				play_song (song_4);
				wait_a_bit (500);
				cpc_WyzSetPlayerOff ();
				do_game = 0;
			} else {
				level ++;
				if (level == 2) {
					blackout_area ();
					
					// Password:
					// 023414302
					
					for (it = 0; it < 9; it ++) {
						draw_map_tile (it + 3, 5, cpc_password [it] + 22);
					}
					cpc_ShowTileMap (0);
					
					print_str (11, 8, 71, "NEXT LEVEL");
					print_str (12, 9, 71, "PASSWORD");
										
					do_game = 0;
					wait_a_bit (32767);
				}
			}
		}
		blackout_area ();
	}
}
