; TILEMAPCONF PARA PHANTOMAS TALES #1: MARSPORT / CPC
; (C) 2009 THE MOJON TWINS

	XLIB TileMapConf
	
	XDEF tiles
	XDEF pantalla_juego
	XDEF tiles_tocados
	XDEF posiciones_pantalla
	XDEF posiciones_super_buffer
	
	XDEF posicion_inicial_area_visible
	XDEF posicion_inicial_superbuffer
	XDEF ancho_pantalla_bytes
	XDEF alto_pantalla_bytes
	XDEF ancho_pantalla_bytes_visible
	
	XDEF tile11
	XDEF _tile_0

	XDEF mascara1
	XDEF mascara2
	
	; Voy a definir como mscara de los sprites el color 12
	
	; 0: $00, $00
	; 1: $80, $40
	; 2: $04, $08
	; 3: $44, $88
	; 4: $10, $20
	; 5: $50, $A0
	; 6: $14, $28
	; 7: $54, $A8
	; 8: $01, $02
	; 9: $41, $82
	; 10: $05, $0A
	; 11: $45, $8A
	; 12: $11, $22
	
	defc mascara1 = $11;
	defc mascara2 = $22;
	
; VALORES QUE DEFINEN EL BUFFER Y LA PANTALLA

	defc posicion_inicial_area_visible = $e05a ;$e8a8
	defc posicion_inicial_superbuffer = $100
	
	defc T_WIDTH = 	30 ;32 ;28 ;32 ;28 ;16			;max=40		;dimensiones de la pantalla en tiles
	defc T_HEIGHT = 20 ;16							;max=20
		
	defc ancho_pantalla_bytes = 2*T_WIDTH ; 2*T_WIDTH;		; El ancho de pantalla influye determinantemente en 
															; numerosas rutinas que hay que actualizar si se cambia
															; OJO con el modo
	defc alto_pantalla_bytes = 8*T_HEIGHT ;
	
	defc ancho_pantalla_bytes_visible = 2*T_WIDTH ;32  ; 64;		;dentro del area definida, cuanto se debe mostrar. 2*T_WIDTH

;El tamao del buffer es ancho_pantalla_bytes*alto_pantalla_bytes


.TileMapConf
;Con la definicin del mapeado hay que tener en cuenta que las coordenadas son:
;ANCHO=64 bytes (128 pixels en modo 0)
;ALTO=128 pixels

;el mximo que entra en el CPC es 20 lneas
;SI NO SE VAN A USAR TODAS LAS LINEAS, PARA AHORRA MEMORIA ES INTERESANTE COMENTARLAS

.posiciones_pantalla		;Posiciones en las que se dibujan los tiles
	defw posicion_inicial_area_visible+$50*0
	defw posicion_inicial_area_visible+$50*1  
	defw posicion_inicial_area_visible+$50*2
	defw posicion_inicial_area_visible+$50*3
	defw posicion_inicial_area_visible+$50*4
	defw posicion_inicial_area_visible+$50*5 
	defw posicion_inicial_area_visible+$50*6 
	defw posicion_inicial_area_visible+$50*7 
	defw posicion_inicial_area_visible+$50*8 
	defw posicion_inicial_area_visible+$50*9 
	defw posicion_inicial_area_visible+$50*10 
	defw posicion_inicial_area_visible+$50*11 
	defw posicion_inicial_area_visible+$50*12 
	defw posicion_inicial_area_visible+$50*13 
	defw posicion_inicial_area_visible+$50*14 
	defw posicion_inicial_area_visible+$50*15
	defw posicion_inicial_area_visible+$50*16
	defw posicion_inicial_area_visible+$50*17
	defw posicion_inicial_area_visible+$50*18
	defw posicion_inicial_area_visible+$50*19

.posiciones_super_buffer	;muestra el inicio de cada lnea (son 10 tiles de 8x16 de alto)

	;defw $1000, $1200, $1400, $1600, $1800, $1a00, $1c00, $1e00, $2000, $2200, $2400, $2600, $2800, $2a00, $2c00, $2f00
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*0
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*1
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*2
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*3
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*4
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*5
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*6
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*7
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*8
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*9
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*10
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*11
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*12
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*13
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*14
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*15
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*16
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*17
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*18
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*19
	
	;defw $1000, $1480, $1900, $1d80, $2200, $2680, $2b00, $2f80, $3400, $3880
	
;Rutinas para transferir bloques independientes a la pantalla

;Se busca el subbloque de 8x8 correspondiente a las coordenadas x,y
;el bloque se calcula dividiendo la coordenada x /8

.pantalla_actual 
	defw 0

.pantalla_juego  ;en tiles
	defs T_WIDTH*T_HEIGHT
	defb $FF	;Este byte es importante, marca el fin de la pantalla.

.tiles_tocados defs 150 ;150	;cuando un tile es tocado, se marca en esta tabla para luego restaurarlo. Es una tabla sin duplicados.

.tiles ;Son de 2x8 bytes
._tiles

; Data from file font.png (256x24)... Mode 1.
._tile_0
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_0_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_1
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_1_DATA
defb $1, $C
defb $0, $C
defb $0, $C
defb $0, $C
defb $0, $0
defb $0, $C
defb $0, $C
defb $0, $0
._tile_2
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_2_DATA
defb $6, $6
defb $6, $6
defb $6, $6
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_3
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_3_DATA
defb $6, $6
defb $6, $6
defb $F, $F
defb $6, $6
defb $F, $F
defb $6, $6
defb $6, $6
defb $0, $0
._tile_4
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_4_DATA
defb $1, $8
defb $3, $E
defb $6, $0
defb $3, $C
defb $0, $6
defb $7, $C
defb $1, $8
defb $0, $0
._tile_5
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_5_DATA
defb $6, $2
defb $6, $6
defb $0, $C
defb $1, $8
defb $3, $0
defb $6, $6
defb $4, $6
defb $0, $0
._tile_6
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_6_DATA
defb $3, $C
defb $6, $6
defb $3, $C
defb $3, $8
defb $6, $7
defb $6, $6
defb $3, $F
defb $0, $0
._tile_7
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_7_DATA
defb $0, $C
defb $1, $8
defb $3, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_8
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_8_DATA
defb $0, $C
defb $1, $8
defb $3, $0
defb $3, $0
defb $3, $0
defb $1, $8
defb $0, $C
defb $0, $0
._tile_9
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_9_DATA
defb $1, $8
defb $0, $C
defb $0, $6
defb $0, $6
defb $0, $6
defb $0, $C
defb $1, $8
defb $0, $0
._tile_10
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_10_DATA
defb $0, $8
defb $0, $8
defb $1, $C
defb $7, $7
defb $1, $C
defb $0, $8
defb $0, $8
defb $0, $0
._tile_11
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_11_DATA
defb $0, $0
defb $1, $8
defb $1, $8
defb $7, $E
defb $1, $8
defb $1, $8
defb $0, $0
defb $0, $0
._tile_12
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_12_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $1, $8
defb $1, $8
defb $0, $0
._tile_13
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_13_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $7, $E
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_14
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_14_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $1, $8
defb $1, $8
defb $3, $0
._tile_15
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_15_DATA
defb $0, $0
defb $0, $3
defb $0, $6
defb $0, $C
defb $1, $8
defb $3, $0
defb $6, $0
defb $0, $0
._tile_16
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_16_DATA
defb $3, $C
defb $6, $6
defb $6, $6
defb $C, $6
defb $C, $C
defb $F, $C
defb $7, $8
defb $0, $0
._tile_17
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_17_DATA
defb $0, $6
defb $3, $C
defb $0, $8
defb $0, $8
defb $1, $8
defb $3, $8
defb $3, $8
defb $0, $0
._tile_18
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_18_DATA
defb $3, $C
defb $4, $6
defb $0, $E
defb $3, $C
defb $6, $0
defb $E, $0
defb $F, $C
defb $0, $0
._tile_19
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_19_DATA
defb $3, $C
defb $4, $6
defb $0, $6
defb $3, $8
defb $0, $C
defb $8, $C
defb $7, $8
defb $0, $0
._tile_20
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_20_DATA
defb $1, $C
defb $2, $C
defb $4, $C
defb $9, $8
defb $F, $E
defb $3, $0
defb $3, $0
defb $0, $0
._tile_21
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_21_DATA
defb $3, $E
defb $7, $C
defb $4, $0
defb $7, $C
defb $0, $6
defb $C, $6
defb $7, $C
defb $0, $0
._tile_22
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_22_DATA
defb $1, $C
defb $6, $0
defb $6, $0
defb $F, $C
defb $C, $6
defb $C, $6
defb $7, $C
defb $0, $0
._tile_23
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_23_DATA
defb $3, $F
defb $7, $6
defb $8, $4
defb $0, $8
defb $1, $8
defb $3, $0
defb $3, $0
defb $0, $0
._tile_24
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_24_DATA
defb $3, $C
defb $4, $6
defb $6, $6
defb $7, $8
defb $D, $C
defb $8, $4
defb $7, $8
defb $0, $0
._tile_25
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_25_DATA
defb $7, $C
defb $C, $6
defb $C, $6
defb $7, $E
defb $0, $C
defb $0, $C
defb $7, $0
defb $0, $0
._tile_26
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_26_DATA
defb $0, $0
defb $0, $0
defb $3, $0
defb $0, $0
defb $0, $0
defb $3, $0
defb $0, $0
defb $0, $0
._tile_27
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_27_DATA
defb $0, $0
defb $0, $0
defb $3, $0
defb $0, $0
defb $0, $0
defb $3, $0
defb $3, $0
defb $6, $0
._tile_28
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_28_DATA
defb $1, $C
defb $3, $0
defb $6, $0
defb $C, $0
defb $6, $0
defb $3, $0
defb $1, $C
defb $0, $0
._tile_29
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_29_DATA
defb $0, $0
defb $0, $0
defb $F, $C
defb $0, $0
defb $F, $C
defb $0, $0
defb $0, $0
defb $0, $0
._tile_30
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_30_DATA
defb $E, $0
defb $3, $0
defb $1, $8
defb $0, $C
defb $1, $8
defb $3, $0
defb $E, $0
defb $0, $0
._tile_31
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_31_DATA
defb $7, $8
defb $C, $C
defb $0, $C
defb $1, $8
defb $3, $0
defb $0, $0
defb $3, $0
defb $0, $0
._tile_32
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_32_DATA
defb $7, $8
defb $C, $C
defb $D, $C
defb $D, $C
defb $C, $0
defb $C, $4
defb $7, $8
defb $0, $0
._tile_33
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_33_DATA
defb $3, $C
defb $1, $C
defb $2, $C
defb $4, $C
defb $F, $C
defb $8, $C
defb $8, $E
defb $0, $0
._tile_34
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_34_DATA
defb $7, $C
defb $2, $6
defb $2, $6
defb $7, $C
defb $4, $6
defb $C, $6
defb $F, $C
defb $0, $0
._tile_35
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_35_DATA
defb $1, $8
defb $2, $4
defb $6, $4
defb $C, $0
defb $C, $0
defb $C, $6
defb $7, $C
defb $0, $0
._tile_36
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_36_DATA
defb $7, $8
defb $2, $4
defb $2, $6
defb $4, $6
defb $4, $6
defb $C, $C
defb $F, $8
defb $0, $0
._tile_37
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_37_DATA
defb $7, $E
defb $1, $0
defb $3, $0
defb $7, $C
defb $6, $8
defb $E, $0
defb $F, $C
defb $0, $0
._tile_38
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_38_DATA
defb $7, $E
defb $1, $0
defb $3, $0
defb $7, $C
defb $6, $8
defb $E, $0
defb $E, $0
defb $0, $0
._tile_39
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_39_DATA
defb $1, $C
defb $2, $2
defb $4, $0
defb $C, $E
defb $C, $6
defb $C, $C
defb $7, $4
defb $0, $0
._tile_40
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_40_DATA
defb $2, $6
defb $2, $6
defb $7, $C
defb $4, $C
defb $4, $C
defb $9, $8
defb $9, $8
defb $0, $0
._tile_41
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_41_DATA
defb $3, $E
defb $1, $8
defb $1, $8
defb $1, $0
defb $3, $0
defb $3, $0
defb $F, $8
defb $0, $0
._tile_42
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_42_DATA
defb $0, $6
defb $0, $6
defb $0, $6
defb $0, $4
defb $0, $C
defb $9, $C
defb $7, $8
defb $0, $0
._tile_43
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_43_DATA
defb $3, $2
defb $3, $4
defb $7, $8
defb $7, $8
defb $D, $C
defb $C, $C
defb $C, $E
defb $0, $0
._tile_44
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_44_DATA
defb $3, $8
defb $3, $0
defb $3, $0
defb $6, $0
defb $6, $0
defb $6, $6
defb $F, $C
defb $0, $0
._tile_45
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_45_DATA
defb $2, $4
defb $2, $4
defb $6, $C
defb $7, $C
defb $5, $4
defb $9, $6
defb $9, $6
defb $0, $0
._tile_46
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_46_DATA
defb $2, $2
defb $2, $2
defb $7, $4
defb $7, $4
defb $B, $C
defb $9, $8
defb $9, $8
defb $0, $0
._tile_47
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_47_DATA
defb $3, $C
defb $6, $6
defb $6, $6
defb $C, $6
defb $C, $C
defb $F, $C
defb $7, $8
defb $0, $0
._tile_48
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_48_DATA
defb $7, $C
defb $2, $6
defb $2, $2
defb $6, $6
defb $7, $C
defb $C, $0
defb $C, $0
defb $0, $0
._tile_49
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_49_DATA
defb $3, $8
defb $6, $6
defb $6, $6
defb $4, $6
defb $D, $C
defb $7, $4
defb $7, $B
defb $0, $0
._tile_50
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_50_DATA
defb $7, $C
defb $2, $6
defb $2, $6
defb $7, $C
defb $5, $8
defb $C, $C
defb $C, $C
defb $0, $0
._tile_51
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_51_DATA
defb $3, $A
defb $6, $4
defb $7, $8
defb $3, $C
defb $0, $6
defb $4, $6
defb $B, $C
defb $0, $0
._tile_52
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_52_DATA
defb $7, $E
defb $1, $8
defb $3, $0
defb $1, $0
defb $3, $8
defb $6, $0
defb $6, $0
defb $0, $0
._tile_53
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_53_DATA
defb $E, $2
defb $2, $2
defb $6, $2
defb $6, $4
defb $C, $4
defb $C, $4
defb $F, $8
defb $0, $0
._tile_54
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_54_DATA
defb $E, $2
defb $6, $4
defb $6, $4
defb $6, $8
defb $6, $8
defb $7, $0
defb $6, $0
defb $0, $0
._tile_55
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_55_DATA
defb $E, $2
defb $6, $2
defb $4, $4
defb $D, $4
defb $D, $4
defb $E, $8
defb $C, $8
defb $0, $0
._tile_56
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_56_DATA
defb $6, $C
defb $6, $8
defb $3, $0
defb $3, $0
defb $5, $8
defb $D, $8
defb $D, $8
defb $0, $0
._tile_57
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_57_DATA
defb $4, $2
defb $2, $6
defb $2, $C
defb $1, $8
defb $1, $8
defb $3, $0
defb $3, $0
defb $0, $0
._tile_58
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_58_DATA
defb $7, $E
defb $4, $C
defb $1, $8
defb $3, $0
defb $6, $0
defb $C, $4
defb $F, $C
defb $0, $0
._tile_59
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_59_DATA
defb $0, $0
defb $3, $C
defb $3, $0
defb $3, $0
defb $3, $0
defb $3, $0
defb $3, $0
defb $3, $C
._tile_60
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_60_DATA
defb $0, $0
defb $0, $0
defb $6, $0
defb $3, $0
defb $1, $8
defb $0, $C
defb $0, $6
defb $0, $3
._tile_61
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_61_DATA
defb $0, $0
defb $1, $E
defb $0, $6
defb $0, $6
defb $0, $6
defb $0, $6
defb $0, $6
defb $1, $E
._tile_62
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_62_DATA
defb $1, $8
defb $3, $C
defb $6, $6
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_63
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_63_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_64
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_64_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_65
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_65_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_66
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_66_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_67
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_67_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_68
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_68_DATA
defb $0, $1
defb $0, $3
defb $0, $7
defb $0, $F
defb $1, $F
defb $3, $E
defb $7, $F
defb $F, $F
._tile_69
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_69_DATA
defb $8, $0
defb $C, $0
defb $C, $0
defb $8, $0
defb $0, $0
defb $0, $0
defb $F, $E
defb $F, $F
._tile_70
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_70_DATA
defb $F, $F
defb $7, $F
defb $3, $E
defb $1, $F
defb $0, $F
defb $0, $7
defb $0, $3
defb $0, $1
._tile_71
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_71_DATA
defb $F, $F
defb $F, $E
defb $0, $0
defb $0, $0
defb $8, $0
defb $C, $0
defb $C, $0
defb $8, $0
._tile_72
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_72_DATA
defb $0, $1
defb $0, $3
defb $0, $3
defb $0, $1
defb $0, $0
defb $0, $0
defb $7, $F
defb $F, $F
._tile_73
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_73_DATA
defb $8, $0
defb $C, $0
defb $E, $0
defb $F, $0
defb $F, $8
defb $7, $C
defb $F, $E
defb $F, $F
._tile_74
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_74_DATA
defb $F, $F
defb $7, $F
defb $0, $0
defb $0, $0
defb $0, $1
defb $0, $3
defb $0, $3
defb $0, $1
._tile_75
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_75_DATA
defb $F, $F
defb $F, $E
defb $7, $C
defb $F, $8
defb $F, $0
defb $E, $0
defb $C, $0
defb $8, $0
._tile_76
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_76_DATA
defb $0, $1
defb $0, $3
defb $0, $7
defb $0, $F
defb $1, $F
defb $3, $F
defb $7, $F
defb $F, $B
._tile_77
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_77_DATA
defb $8, $0
defb $C, $0
defb $E, $0
defb $F, $0
defb $F, $8
defb $F, $C
defb $F, $E
defb $D, $F
._tile_78
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_78_DATA
defb $F, $3
defb $6, $3
defb $0, $3
defb $0, $3
defb $0, $3
defb $0, $3
defb $0, $3
defb $0, $1
._tile_79
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_79_DATA
defb $C, $F
defb $C, $6
defb $C, $0
defb $C, $0
defb $C, $0
defb $C, $0
defb $C, $0
defb $8, $0
._tile_80
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_80_DATA
defb $0, $0
defb $0, $0
defb $0, $1
defb $0, $2
defb $0, $0
defb $0, $3
defb $0, $4
defb $0, $3
._tile_81
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_81_DATA
defb $0, $0
defb $0, $0
defb $C, $0
defb $2, $0
defb $1, $0
defb $9, $0
defb $6, $0
defb $C, $0
._tile_82
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_82_DATA
defb $0, $0
defb $0, $3
defb $0, $4
defb $0, $3
defb $0, $0
defb $0, $4
defb $0, $3
defb $0, $0
._tile_83
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_83_DATA
defb $2, $0
defb $A, $0
defb $6, $0
defb $C, $0
defb $4, $0
defb $4, $0
defb $8, $0
defb $0, $0
._tile_84
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_84_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $3, $F
defb $7, $F
defb $F, $F
._tile_85
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_85_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $3, $8
defb $3, $8
defb $F, $8
defb $F, $E
defb $F, $F
._tile_86
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_86_DATA
defb $F, $F
defb $7, $F
defb $3, $F
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_87
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_87_DATA
defb $F, $F
defb $F, $E
defb $F, $8
defb $3, $8
defb $3, $8
defb $0, $0
defb $0, $0
defb $0, $0
._tile_88
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_88_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_89
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_89_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_90
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_90_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_91
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_91_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_92
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_92_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_93
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_93_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_94
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_94_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_95
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_95_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
