// Some functions & prototypes

void __FASTCALL__ wnokey (unsigned int key) {
	while (cpc_TestKey (key));	
}

char wait_a_bit (int espera) {
	// Waits until "espera" halts have passed 
	// or a key has been pressed.
	for (it = 0; it < espera; it ++) {
		jt = 250; do { gpc = 1; } while (--jt);
		if (cpc_AnyKeyPressed ()) return 0;
	}
	return 1;
}

void print_str (unsigned char, unsigned char, unsigned char, unsigned char *);
void get_resource (unsigned char, unsigned int);

void play_song (unsigned char *s) {
	cpc_UnExo ((unsigned int *) (s), (unsigned int *) (0xb400));
	cpc_WyzLoadSong (0);
	cpc_WyzSetPlayerOn ();
}

unsigned char rand (void) {
	#asm
		.rnd 
			ld  hl,0xA280
	        ld  de,0xC0DE
	        ld  a,h         ; t = x ^ (x << 1)
	        add a,a
	        xor h
	        ld  h,l         ; x = y
	        ld  l,d         ; y = z
	        ld  d,e         ; z = w
	        ld  e,a
	        rra             ; t = t ^ (t >> 1)
	        xor e
	        ld  e,a
	        ld  a,d         ; w = w ^ ( w << 3 ) ^ t
	        add a,a
	        add a,a
	        add a,a
	        xor d
	        xor e
	        ld  e,a
	        ld  (rnd+1),hl
	        ld  (rnd+4),de
	        ld	(_randres), a
	#endasm
	return randres [0];
}

void srand (void) {
	#asm
			ld	hl, (_seed1)
			ld	(rnd+1),hl
			ld	hl, (_seed2)			
			ld	(rnd+4),hl
	#endasm
}
