; TILEMAPCONF PARA PHANTOMAS TALES #1: MARSPORT / CPC
; (C) 2009 THE MOJON TWINS

	XLIB TileMapConf
	
	XDEF tiles
	XDEF pantalla_juego
	XDEF tiles_tocados
	XDEF posiciones_pantalla
	XDEF posiciones_super_buffer
	
	XDEF posicion_inicial_area_visible
	XDEF posicion_inicial_superbuffer
	XDEF ancho_pantalla_bytes
	XDEF alto_pantalla_bytes
	XDEF ancho_pantalla_bytes_visible
	
	XDEF tile11
	XDEF _tile_0

	XDEF mascara1
	XDEF mascara2
	
	; Voy a definir como mscara de los sprites el color 12
	
	; 0: $00, $00
	; 1: $80, $40
	; 2: $04, $08
	; 3: $44, $88
	; 4: $10, $20
	; 5: $50, $A0
	; 6: $14, $28
	; 7: $54, $A8
	; 8: $01, $02
	; 9: $41, $82
	; 10: $05, $0A
	; 11: $45, $8A
	; 12: $11, $22
	
	defc mascara1 = $11;
	defc mascara2 = $22;
	
; VALORES QUE DEFINEN EL BUFFER Y LA PANTALLA

	defc posicion_inicial_area_visible = $e05a ;$e8a8
	defc posicion_inicial_superbuffer = $100
	
	defc T_WIDTH = 	30 ;32 ;28 ;32 ;28 ;16			;max=40		;dimensiones de la pantalla en tiles
	defc T_HEIGHT = 20 ;16							;max=20
		
	defc ancho_pantalla_bytes = 2*T_WIDTH ; 2*T_WIDTH;		; El ancho de pantalla influye determinantemente en 
															; numerosas rutinas que hay que actualizar si se cambia
															; OJO con el modo
	defc alto_pantalla_bytes = 8*T_HEIGHT ;
	
	defc ancho_pantalla_bytes_visible = 2*T_WIDTH ;32  ; 64;		;dentro del area definida, cuanto se debe mostrar. 2*T_WIDTH

;El tamao del buffer es ancho_pantalla_bytes*alto_pantalla_bytes


.TileMapConf
;Con la definicin del mapeado hay que tener en cuenta que las coordenadas son:
;ANCHO=64 bytes (128 pixels en modo 0)
;ALTO=128 pixels

;el mximo que entra en el CPC es 20 lneas
;SI NO SE VAN A USAR TODAS LAS LINEAS, PARA AHORRA MEMORIA ES INTERESANTE COMENTARLAS

.posiciones_pantalla		;Posiciones en las que se dibujan los tiles
	defw posicion_inicial_area_visible+$50*0
	defw posicion_inicial_area_visible+$50*1  
	defw posicion_inicial_area_visible+$50*2
	defw posicion_inicial_area_visible+$50*3
	defw posicion_inicial_area_visible+$50*4
	defw posicion_inicial_area_visible+$50*5 
	defw posicion_inicial_area_visible+$50*6 
	defw posicion_inicial_area_visible+$50*7 
	defw posicion_inicial_area_visible+$50*8 
	defw posicion_inicial_area_visible+$50*9 
	defw posicion_inicial_area_visible+$50*10 
	defw posicion_inicial_area_visible+$50*11 
	defw posicion_inicial_area_visible+$50*12 
	defw posicion_inicial_area_visible+$50*13 
	defw posicion_inicial_area_visible+$50*14 
	defw posicion_inicial_area_visible+$50*15
	defw posicion_inicial_area_visible+$50*16
	defw posicion_inicial_area_visible+$50*17
	defw posicion_inicial_area_visible+$50*18
	defw posicion_inicial_area_visible+$50*19

.posiciones_super_buffer	;muestra el inicio de cada lnea (son 10 tiles de 8x16 de alto)

	;defw $1000, $1200, $1400, $1600, $1800, $1a00, $1c00, $1e00, $2000, $2200, $2400, $2600, $2800, $2a00, $2c00, $2f00
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*0
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*1
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*2
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*3
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*4
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*5
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*6
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*7
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*8
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*9
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*10
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*11
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*12
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*13
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*14
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*15
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*16
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*17
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*18
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*19
	
	;defw $1000, $1480, $1900, $1d80, $2200, $2680, $2b00, $2f80, $3400, $3880
	
;Rutinas para transferir bloques independientes a la pantalla

;Se busca el subbloque de 8x8 correspondiente a las coordenadas x,y
;el bloque se calcula dividiendo la coordenada x /8

.pantalla_actual 
	defw 0

.pantalla_juego  ;en tiles
	defs T_WIDTH*T_HEIGHT
	defb $FF	;Este byte es importante, marca el fin de la pantalla.

.tiles_tocados defs 150 ;150	;cuando un tile es tocado, se marca en esta tabla para luego restaurarlo. Es una tabla sin duplicados.

.tiles ;Son de 2x8 bytes
._tiles

; Data from file tileset.png (128x64)... Mode 0.
._tile_0
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_0_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_1
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_1_DATA
defb $0, $0
defb $4, $0
defb $4, $0
defb $4, $0
defb $4, $0
defb $0, $0
defb $4, $0
defb $0, $0
._tile_2
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_2_DATA
defb $0, $0
defb $58, $8
defb $58, $8
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_3
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_3_DATA
defb $0, $0
defb $58, $8
defb $F0, $A0
defb $58, $8
defb $58, $8
defb $F0, $A0
defb $58, $8
defb $0, $0
._tile_4
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_4_DATA
defb $0, $0
defb $4, $0
defb $58, $A0
defb $58, $0
defb $58, $A0
defb $4, $A0
defb $58, $A0
defb $4, $0
._tile_5
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_5_DATA
defb $0, $0
defb $A4, $A0
defb $F0, $8
defb $4, $0
defb $4, $0
defb $58, $A0
defb $A4, $A0
defb $0, $0
._tile_6
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_6_DATA
defb $0, $0
defb $4, $0
defb $58, $0
defb $4, $0
defb $58, $A0
defb $A4, $8
defb $58, $A0
defb $0, $0
._tile_7
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_7_DATA
defb $0, $0
defb $4, $0
defb $4, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_8
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_8_DATA
defb $0, $0
defb $0, $A0
defb $50, $0
defb $50, $0
defb $50, $0
defb $50, $0
defb $0, $A0
defb $0, $0
._tile_9
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_9_DATA
defb $0, $0
defb $A0, $0
defb $50, $0
defb $50, $0
defb $50, $0
defb $C, $0
defb $A0, $0
defb $0, $0
._tile_10
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_10_DATA
defb $0, $0
defb $0, $0
defb $50, $8
defb $4, $0
defb $58, $A0
defb $4, $0
defb $50, $8
defb $0, $0
._tile_11
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_11_DATA
defb $0, $0
defb $0, $0
defb $50, $0
defb $50, $0
defb $F0, $A0
defb $50, $0
defb $50, $0
defb $0, $0
._tile_12
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_12_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $4, $0
defb $4, $0
defb $4, $0
._tile_13
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_13_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $58, $A0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_14
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_14_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $50, $0
defb $50, $0
defb $0, $0
._tile_15
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_15_DATA
defb $0, $0
defb $0, $0
defb $0, $A0
defb $4, $8
defb $4, $0
defb $4, $0
defb $C, $0
defb $0, $0
._tile_16
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_16_DATA
defb $0, $0
defb $58, $8
defb $A4, $A0
defb $A4, $A0
defb $A4, $A0
defb $A4, $A0
defb $58, $8
defb $0, $0
._tile_17
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_17_DATA
defb $0, $0
defb $50, $0
defb $58, $0
defb $50, $0
defb $50, $0
defb $50, $0
defb $58, $A0
defb $0, $0
._tile_18
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_18_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $0, $A0
defb $58, $8
defb $A0, $0
defb $F0, $A0
defb $0, $0
._tile_19
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_19_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $4, $8
defb $0, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_20
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_20_DATA
defb $0, $0
defb $50, $0
defb $58, $0
defb $F0, $0
defb $58, $0
defb $F0, $A0
defb $50, $0
defb $0, $0
._tile_21
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_21_DATA
defb $0, $0
defb $F0, $A0
defb $A0, $0
defb $F0, $8
defb $0, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_22
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_22_DATA
defb $0, $0
defb $58, $8
defb $A0, $0
defb $F0, $8
defb $A0, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_23
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_23_DATA
defb $0, $0
defb $F0, $A0
defb $0, $A0
defb $4, $8
defb $50, $0
defb $50, $0
defb $4, $0
defb $0, $0
._tile_24
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_24_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $58, $8
defb $A0, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_25
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_25_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $A0, $A0
defb $58, $A0
defb $0, $A0
defb $58, $8
defb $0, $0
._tile_26
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_26_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $4, $0
defb $0, $0
defb $0, $0
defb $4, $0
defb $0, $0
._tile_27
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_27_DATA
defb $0, $0
defb $0, $0
defb $50, $0
defb $0, $0
defb $0, $0
defb $50, $0
defb $50, $0
defb $A0, $0
._tile_28
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_28_DATA
defb $0, $0
defb $0, $0
defb $50, $A0
defb $50, $0
defb $50, $0
defb $50, $0
defb $50, $A0
defb $0, $0
._tile_29
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_29_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $58, $A0
defb $0, $0
defb $58, $A0
defb $0, $0
defb $0, $0
._tile_30
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_30_DATA
defb $0, $0
defb $0, $0
defb $4, $0
defb $4, $0
defb $4, $8
defb $4, $0
defb $4, $0
defb $0, $0
._tile_31
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_31_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $4, $8
defb $4, $0
defb $0, $0
defb $4, $0
defb $0, $0
._tile_32
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_32_DATA
defb $0, $0
defb $58, $8
defb $A4, $A0
defb $F0, $A0
defb $F0, $A0
defb $A0, $0
defb $58, $8
defb $0, $0
._tile_33
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_33_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $A0, $A0
defb $F0, $A0
defb $A0, $A0
defb $A0, $A0
defb $0, $0
._tile_34
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_34_DATA
defb $0, $0
defb $F0, $8
defb $A0, $A0
defb $F0, $8
defb $A0, $A0
defb $A0, $A0
defb $F0, $8
defb $0, $0
._tile_35
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_35_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $A0, $0
defb $A0, $0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_36
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_36_DATA
defb $0, $0
defb $F0, $0
defb $A4, $8
defb $A0, $A0
defb $A0, $A0
defb $A4, $8
defb $F0, $0
defb $0, $0
._tile_37
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_37_DATA
defb $0, $0
defb $F0, $A0
defb $A0, $0
defb $F0, $8
defb $A0, $0
defb $A0, $0
defb $F0, $A0
defb $0, $0
._tile_38
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_38_DATA
defb $0, $0
defb $F0, $A0
defb $A0, $0
defb $F0, $8
defb $A0, $0
defb $A0, $0
defb $A0, $0
defb $0, $0
._tile_39
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_39_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $A0, $0
defb $A4, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_40
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_40_DATA
defb $0, $0
defb $A0, $A0
defb $A0, $A0
defb $F0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $0, $0
._tile_41
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_41_DATA
defb $0, $0
defb $58, $A0
defb $4, $0
defb $4, $0
defb $4, $0
defb $4, $0
defb $58, $A0
defb $0, $0
._tile_42
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_42_DATA
defb $0, $0
defb $0, $A0
defb $0, $A0
defb $0, $A0
defb $A0, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_43
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_43_DATA
defb $0, $0
defb $A0, $8
defb $A4, $A0
defb $F0, $0
defb $A4, $0
defb $F0, $8
defb $A0, $A0
defb $0, $0
._tile_44
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_44_DATA
defb $0, $0
defb $A0, $0
defb $A0, $0
defb $A0, $0
defb $A0, $0
defb $A0, $0
defb $F0, $A0
defb $0, $0
._tile_45
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_45_DATA
defb $0, $0
defb $A0, $A0
defb $F0, $A0
defb $F0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $0, $0
._tile_46
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_46_DATA
defb $0, $0
defb $F0, $8
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $0, $0
._tile_47
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_47_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_48
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_48_DATA
defb $0, $0
defb $F0, $8
defb $A0, $A0
defb $A0, $A0
defb $F0, $8
defb $A0, $0
defb $A0, $0
defb $0, $0
._tile_49
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_49_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $A0, $A0
defb $A4, $A0
defb $A4, $A0
defb $58, $8
defb $0, $0
._tile_50
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_50_DATA
defb $0, $0
defb $F0, $8
defb $A0, $A0
defb $A0, $A0
defb $F0, $8
defb $A4, $8
defb $A0, $A0
defb $0, $0
._tile_51
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_51_DATA
defb $0, $0
defb $58, $8
defb $A0, $0
defb $58, $8
defb $0, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_52
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_52_DATA
defb $0, $0
defb $F0, $A0
defb $50, $0
defb $50, $0
defb $50, $0
defb $50, $0
defb $50, $0
defb $0, $0
._tile_53
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_53_DATA
defb $0, $0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_54
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_54_DATA
defb $0, $0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $58, $8
defb $50, $0
defb $0, $0
._tile_55
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_55_DATA
defb $0, $0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $F0, $A0
defb $58, $8
defb $0, $0
._tile_56
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_56_DATA
defb $0, $0
defb $A0, $A4
defb $58, $8
defb $50, $0
defb $50, $0
defb $58, $8
defb $A0, $A0
defb $0, $0
._tile_57
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_57_DATA
defb $0, $0
defb $A0, $A0
defb $A4, $A0
defb $58, $8
defb $50, $0
defb $50, $0
defb $50, $0
defb $0, $0
._tile_58
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_58_DATA
defb $0, $0
defb $F0, $A0
defb $4, $8
defb $4, $0
defb $4, $0
defb $C, $0
defb $F0, $A0
defb $0, $0
._tile_59
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_59_DATA
defb $0, $0
defb $50, $A0
defb $50, $0
defb $50, $0
defb $50, $0
defb $50, $0
defb $50, $A0
defb $0, $0
._tile_60
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_60_DATA
defb $0, $0
defb $0, $0
defb $A0, $0
defb $58, $0
defb $50, $0
defb $4, $0
defb $0, $A0
defb $0, $0
._tile_61
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_61_DATA
defb $0, $0
defb $F0, $0
defb $50, $0
defb $50, $0
defb $50, $0
defb $50, $0
defb $F0, $0
defb $0, $0
._tile_62
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_62_DATA
defb $0, $0
defb $4, $0
defb $58, $0
defb $F0, $8
defb $4, $0
defb $4, $0
defb $4, $0
defb $0, $0
._tile_63
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_63_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $F0, $F0
._tile_64
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_64_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_65
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_65_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_66
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_66_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_67
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_67_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_68
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_68_DATA
defb $0, $0
defb $C4, $4C
defb $8C, $84
defb $C8, $4C
defb $C8, $CC
defb $8C, $CC
defb $48, $98
defb $8C, $CC
._tile_69
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_69_DATA
defb $0, $0
defb $64, $98
defb $8C, $CC
defb $CC, $CC
defb $CC, $CC
defb $64, $70
defb $98, $F0
defb $70, $F0
._tile_70
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_70_DATA
defb $48, $98
defb $8C, $CC
defb $C, $98
defb $48, $CC
defb $C, $98
defb $48, $CC
defb $C, $C0
defb $40, $4C
._tile_71
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_71_DATA
defb $F0, $B0
defb $70, $B0
defb $F0, $F0
defb $70, $70
defb $F0, $F0
defb $70, $70
defb $C0, $C0
defb $98, $98
._tile_72
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_72_DATA
defb $0, $0
defb $64, $98
defb $CC, $4C
defb $CC, $CC
defb $CC, $CC
defb $B0, $98
defb $F0, $64
defb $F0, $B0
._tile_73
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_73_DATA
defb $0, $0
defb $8C, $48
defb $48, $C
defb $8C, $84
defb $CC, $84
defb $CC, $D
defb $64, $84
defb $CC, $D
._tile_74
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_74_DATA
defb $70, $E4
defb $70, $F0
defb $F0, $E4
defb $B0, $F0
defb $F0, $E4
defb $B0, $B0
defb $C0, $C0
defb $64, $64
._tile_75
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_75_DATA
defb $64, $84
defb $CC, $D
defb $64, $E
defb $CC, $85
defb $64, $F
defb $8C, $85
defb $C0, $F
defb $D, $80
._tile_76
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_76_DATA
defb $80, $0
defb $4, $84
defb $4C, $4C
defb $CC, $4C
defb $64, $4C
defb $CC, $18
defb $64, $4C
defb $CC, $90
._tile_77
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_77_DATA
defb $0, $40
defb $48, $8
defb $8C, $8C
defb $8C, $CC
defb $48, $98
defb $4C, $8C
defb $4C, $24
defb $18, $C8
._tile_78
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_78_DATA
defb $4C, $C4
defb $98, $84
defb $58, $C0
defb $D0, $C0
defb $C4, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_79
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_79_DATA
defb $C4, $60
defb $C0, $60
defb $C0, $E0
defb $C0, $C8
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_80
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_80_DATA
defb $0, $0
defb $CC, $CC
defb $4C, $19
defb $91, $33
defb $84, $C
defb $91, $78
defb $D4, $F0
defb $91, $78
._tile_81
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_81_DATA
defb $0, $0
defb $66, $33
defb $19, $19
defb $33, $62
defb $C, $48
defb $39, $62
defb $B4, $62
defb $39, $62
._tile_82
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_82_DATA
defb $81, $3C
defb $81, $BC
defb $81, $3C
defb $91, $78
defb $D4, $F0
defb $91, $78
defb $D4, $B4
defb $91, $78
._tile_83
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_83_DATA
defb $B4, $62
defb $B1, $62
defb $B4, $62
defb $39, $62
defb $B4, $62
defb $39, $62
defb $B4, $62
defb $39, $62
._tile_84
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_84_DATA
defb $D4, $3C
defb $91, $BC
defb $D4, $3C
defb $91, $78
defb $D4, $F0
defb $91, $78
defb $D4, $B4
defb $81, $78
._tile_85
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_85_DATA
defb $B4, $62
defb $B1, $62
defb $B4, $62
defb $39, $62
defb $B4, $62
defb $39, $62
defb $B4, $62
defb $39, $62
._tile_86
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_86_DATA
defb $D4, $3C
defb $81, $BC
defb $D4, $3C
defb $91, $78
defb $81, $F0
defb $91, $78
defb $D4, $B4
defb $91, $78
._tile_87
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_87_DATA
defb $B4, $62
defb $B1, $62
defb $B4, $62
defb $39, $62
defb $B4, $62
defb $39, $62
defb $B4, $62
defb $39, $62
._tile_88
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_88_DATA
defb $0, $40
defb $C4, $4C
defb $8C, $84
defb $C8, $4C
defb $C8, $CC
defb $8C, $98
defb $48, $70
defb $8C, $D8
._tile_89
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_89_DATA
defb $80, $0
defb $8C, $48
defb $48, $C
defb $8C, $84
defb $CC, $84
defb $98, $C
defb $64, $84
defb $B0, $D
._tile_90
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_90_DATA
defb $48, $70
defb $8C, $F0
defb $C, $70
defb $48, $B0
defb $C, $70
defb $48, $98
defb $C, $C0
defb $40, $48
._tile_91
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_91_DATA
defb $64, $84
defb $B0, $D
defb $64, $D
defb $B0, $84
defb $64, $D
defb $8C, $85
defb $C0, $F
defb $85, $80
._tile_92
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_92_DATA
defb $0, $0
defb $3D, $3D
defb $3F, $3F
defb $3F, $B7
defb $7B, $7B
defb $F3, $B7
defb $59, $59
defb $84, $C0
._tile_93
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_93_DATA
defb $0, $0
defb $3D, $3D
defb $3F, $3F
defb $B7, $B7
defb $7B, $7B
defb $F3, $B7
defb $59, $59
defb $84, $C0
._tile_94
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_94_DATA
defb $C0, $C0
defb $84, $84
defb $CC, $CC
defb $F0, $F0
defb $30, $30
defb $CC, $CC
defb $C, $C
defb $C0, $C0
._tile_95
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_95_DATA
defb $C0, $C0
defb $84, $84
defb $CC, $CC
defb $F0, $F0
defb $30, $30
defb $CC, $CC
defb $C, $C
defb $C0, $C0
._tile_96
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_96_DATA
defb $80, $0
defb $1, $B
defb $7, $85
defb $42, $B
defb $42, $56
defb $7, $7
defb $4A, $1E
defb $7, $16
._tile_97
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_97_DATA
defb $0, $40
defb $7, $A
defb $4A, $F
defb $AD, $5
defb $3, $5
defb $5E, $4F
defb $AD, $5
defb $29, $4F
._tile_98
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_98_DATA
defb $4A, $1E
defb $7, $16
defb $F, $1E
defb $4A, $2D
defb $F, $BC
defb $A, $56
defb $F, $0
defb $0, $A
._tile_99
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_99_DATA
defb $AD, $45
defb $29, $4F
defb $AD, $4F
defb $5E, $45
defb $A9, $4F
defb $7, $45
defb $0, $CF
defb $45, $A
._tile_100
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_100_DATA
defb $80, $0
defb $41, $C3
defb $DE, $CF
defb $CB, $C7
defb $CF, $82
defb $C7, $CF
defb $CF, $8A
defb $C7, $0
._tile_101
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_101_DATA
defb $0, $40
defb $3, $2
defb $7, $4F
defb $3, $F
defb $3, $C5
defb $7, $85
defb $F, $C5
defb $40, $F
._tile_102
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_102_DATA
defb $B, $42
defb $3, $F
defb $B, $42
defb $B, $F
defb $F, $4A
defb $F, $85
defb $1, $3
defb $80, $0
._tile_103
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_103_DATA
defb $F, $4F
defb $7, $C5
defb $7, $C5
defb $4A, $C5
defb $F, $C5
defb $4A, $CF
defb $3, $2
defb $0, $40
._tile_104
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_104_DATA
defb $0, $0
defb $CC, $C
defb $64, $CC
defb $C0, $85
defb $C0, $84
defb $C0, $C4
defb $C0, $84
defb $C0, $C4
._tile_105
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_105_DATA
defb $0, $0
defb $9, $9
defb $C, $3
defb $4A, $C0
defb $48, $C0
defb $48, $C0
defb $C8, $C0
defb $48, $C0
._tile_106
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_106_DATA
defb $C0, $84
defb $C0, $C4
defb $C0, $C4
defb $C0, $90
defb $C0, $C4
defb $C0, $90
defb $C0, $90
defb $C0, $C0
._tile_107
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_107_DATA
defb $C8, $C0
defb $48, $C0
defb $C8, $C0
defb $C8, $C0
defb $60, $C0
defb $C8, $C0
defb $60, $C0
defb $C0, $C0
._tile_108
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_108_DATA
defb $C0, $C0
defb $58, $B0
defb $E0, $C0
defb $E4, $B0
defb $70, $C0
defb $B0, $C0
defb $30, $C0
defb $60, $C0
._tile_109
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_109_DATA
defb $C0, $C0
defb $30, $8C
defb $C0, $C4
defb $48, $90
defb $C0, $C4
defb $C0, $C4
defb $C0, $4C
defb $C0, $8C
._tile_110
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_110_DATA
defb $64, $C0
defb $24, $C0
defb $60, $C0
defb $C8, $C0
defb $60, $84
defb $C8, $C4
defb $4C, $8C
defb $C0, $C0
._tile_111
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_111_DATA
defb $84, $C4
defb $C4, $84
defb $48, $84
defb $C8, $84
defb $C0, $C
defb $84, $C
defb $8C, $48
defb $C0, $C0
._tile_112
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_112_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $48
defb $C0, $C8
defb $C0, $60
defb $C0, $E0
defb $C0, $E0
defb $84, $E0
._tile_113
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_113_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C8
defb $C0, $60
defb $C0, $E0
defb $C0, $60
._tile_114
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_114_DATA
defb $C4, $E4
defb $90, $B0
defb $D0, $F0
defb $90, $B0
defb $D0, $F0
defb $58, $F0
defb $D8, $F0
defb $70, $F0
._tile_115
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_115_DATA
defb $C0, $A4
defb $C0, $E4
defb $C0, $B0
defb $84, $F0
defb $C4, $B0
defb $90, $F0
defb $D0, $F0
defb $D8, $F0
._tile_116
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_116_DATA
defb $64, $CC
defb $8C, $C
defb $8C, $C
defb $8C, $C8
defb $8C, $80
defb $8C, $80
defb $8C, $88
defb $8C, $8
._tile_117
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_117_DATA
defb $CC, $8C
defb $C, $D
defb $C, $D
defb $C4, $D
defb $40, $D
defb $40, $D
defb $44, $D
defb $4, $D
._tile_118
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_118_DATA
defb $8C, $88
defb $8C, $88
defb $8C, $80
defb $8C, $0
defb $8C, $C
defb $8C, $C
defb $8C, $C
defb $D, $F
._tile_119
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_119_DATA
defb $44, $D
defb $44, $D
defb $40, $D
defb $0, $D
defb $C, $D
defb $C, $D
defb $C, $D
defb $F, $4F
._tile_120
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_120_DATA
defb $C0, $C0
defb $C0, $DE
defb $D4, $3C
defb $94, $6D
defb $94, $6D
defb $94, $6D
defb $D4, $3C
defb $C0, $DE
._tile_121
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_121_DATA
defb $C0, $C0
defb $CA, $C0
defb $7C, $C0
defb $3C, $C0
defb $3C, $C0
defb $3C, $C0
defb $7C, $C0
defb $CA, $C0
._tile_122
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_122_DATA
defb $C0, $94
defb $C0, $94
defb $C0, $94
defb $D4, $3C
defb $C0, $9E
defb $D4, $3C
defb $C0, $C0
defb $C0, $C0
._tile_123
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_123_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_124
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_124_DATA
defb $C0, $C0
defb $C0, $16
defb $C5, $ED
defb $94, $DE
defb $D4, $F0
defb $56, $F4
defb $7C, $3C
defb $7C, $B4
._tile_125
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_125_DATA
defb $C0, $C0
defb $ED, $C0
defb $DE, $CA
defb $ED, $68
defb $3C, $E8
defb $BC, $ED
defb $BC, $BC
defb $BC, $BC
._tile_126
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_126_DATA
defb $7C, $7C
defb $7C, $7C
defb $DE, $7C
defb $D4, $3C
defb $94, $DE
defb $C5, $ED
defb $C0, $9E
defb $C0, $C0
._tile_127
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_127_DATA
defb $3C, $BC
defb $3C, $3
defb $3C, $ED
defb $7C, $42
defb $47, $E8
defb $DE, $CA
defb $47, $C0
defb $C0, $C0
._tile_128
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_128_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $80
defb $C0, $85
defb $C0, $D4
defb $C0, $1E
defb $C0, $1E
defb $C0, $5E
._tile_129
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_129_DATA
defb $80, $40
defb $5E, $E8
defb $BC, $28
defb $3C, $7C
defb $3C, $FC
defb $3C, $7C
defb $3C, $AD
defb $7C, $A8
._tile_130
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_130_DATA
defb $C0, $11
defb $C0, $50
defb $C0, $A0
defb $80, $E0
defb $D0, $40
defb $72, $C0
defb $91, $C0
defb $C0, $C0
._tile_131
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_131_DATA
defb $FC, $42
defb $7, $40
defb $0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_132
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_132_DATA
defb $C0, $C0
defb $58, $B0
defb $A0, $40
defb $A0, $0
defb $60, $0
defb $A0, $4C
defb $60, $0
defb $20, $40
._tile_133
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_133_DATA
defb $C0, $C0
defb $30, $8C
defb $4, $C4
defb $8, $10
defb $88, $44
defb $4, $44
defb $0, $C4
defb $44, $4
._tile_134
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_134_DATA
defb $20, $0
defb $20, $84
defb $24, $0
defb $88, $44
defb $20, $4
defb $88, $40
defb $4C, $8C
defb $C0, $C0
._tile_135
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_135_DATA
defb $8, $44
defb $0, $4
defb $48, $C
defb $40, $4
defb $0, $84
defb $0, $4
defb $8C, $48
defb $C0, $C0
._tile_136
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_136_DATA
defb $C0, $C0
defb $C0, $48
defb $C0, $4A
defb $C0, $C8
defb $85, $25
defb $4C, $E4
defb $85, $25
defb $C0, $C8
._tile_137
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_137_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $48, $C0
defb $C0, $C0
defb $C0, $C0
._tile_138
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_138_DATA
defb $C0, $4A
defb $C0, $48
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_139
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_139_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_140
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_140_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_141
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_141_DATA
defb $C0, $84
defb $C0, $C4
defb $C0, $C
defb $C0, $CC
defb $84, $C
defb $C4, $CC
defb $C, $C
defb $CC, $CC
._tile_142
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_142_DATA
defb $C0, $84
defb $C0, $C4
defb $C0, $C
defb $C0, $CC
defb $84, $C
defb $C4, $CC
defb $C, $C
defb $CC, $CC
._tile_143
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_143_DATA
defb $C, $C
defb $CC, $CC
defb $C, $C
defb $CC, $CC
defb $C, $C
defb $CC, $CC
defb $C, $C
defb $CC, $CC
._tile_144
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_144_DATA
defb $C, $C
defb $CC, $CC
defb $C, $C
defb $CC, $CC
defb $C, $C
defb $CC, $CC
defb $C, $C
defb $CC, $CC
._tile_145
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_145_DATA
defb $C, $C
defb $CC, $CC
defb $C, $C
defb $CC, $CC
defb $C, $C
defb $CC, $CC
defb $C, $C
defb $CC, $CC
._tile_146
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_146_DATA
defb $C, $C
defb $CC, $CC
defb $C, $C
defb $CC, $CC
defb $C, $C
defb $CC, $CC
defb $C, $C
defb $CC, $CC
._tile_147
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_147_DATA
defb $C, $C
defb $CC, $CC
defb $C, $C
defb $CC, $CC
defb $C, $C
defb $CC, $CC
defb $C, $C
defb $CC, $CC
._tile_148
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_148_DATA
defb $48, $C0
defb $C8, $C0
defb $C, $C0
defb $CC, $C0
defb $C, $48
defb $CC, $C8
defb $C, $C
defb $CC, $CC
._tile_149
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_149_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_150
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_150_DATA
defb $C, $C
defb $CC, $CC
defb $C, $C
defb $CC, $CC
defb $C, $C
defb $CC, $CC
defb $C, $C
defb $CC, $CC
._tile_151
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_151_DATA
defb $48, $C0
defb $C8, $C0
defb $C, $C0
defb $CC, $C0
defb $C, $48
defb $CC, $C8
defb $C, $C
defb $CC, $CC
._tile_152
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_152_DATA
defb $C0, $85
defb $C0, $D4
defb $C0, $1E
defb $C0, $AD
defb $85, $68
defb $D4, $4A
defb $1E, $F
defb $B4, $3C
._tile_153
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_153_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $F, $4A
defb $3C, $E8
._tile_154
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_154_DATA
defb $B4, $3C
defb $1E, $F
defb $D4, $4A
defb $85, $68
defb $C0, $AD
defb $C0, $1E
defb $C0, $D4
defb $C0, $85
._tile_155
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_155_DATA
defb $3C, $E8
defb $F, $4A
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_156
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_156_DATA
defb $C0, $84
defb $C0, $C4
defb $C0, $90
defb $C0, $84
defb $C0, $C0
defb $C0, $C0
defb $C, $C
defb $98, $30
._tile_157
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_157_DATA
defb $C0, $C0
defb $C0, $C0
defb $48, $C0
defb $C8, $C0
defb $24, $C0
defb $4C, $C0
defb $18, $48
defb $30, $E0
._tile_158
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_158_DATA
defb $98, $30
defb $C, $C
defb $C0, $C0
defb $C0, $C0
defb $C0, $84
defb $C0, $90
defb $C0, $C4
defb $C0, $84
._tile_159
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_159_DATA
defb $30, $E0
defb $18, $48
defb $4C, $C0
defb $24, $C0
defb $C8, $C0
defb $48, $C0
defb $C0, $C0
defb $C0, $C0
._tile_160
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_160_DATA
defb $C0, $D1
defb $C0, $94
defb $C0, $B7
defb $C0, $3D
defb $D1, $3F
defb $94, $B7
defb $B7, $95
defb $79, $95
._tile_161
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_161_DATA
defb $C0, $C0
defb $C0, $C0
defb $E2, $C0
defb $68, $C0
defb $7B, $C0
defb $B6, $C0
defb $95, $E2
defb $D1, $68
._tile_162
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_162_DATA
defb $6A, $95
defb $E2, $95
defb $C0, $95
defb $C0, $95
defb $C0, $95
defb $C0, $95
defb $C0, $95
defb $C0, $C0
._tile_163
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_163_DATA
defb $C0, $6A
defb $C0, $E2
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_164
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_164_DATA
defb $C0, $C0
defb $C0, $F0
defb $C0, $C0
defb $5A, $30
defb $A5, $F
defb $5A, $C0
defb $4E, $F0
defb $25, $F
._tile_165
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_165_DATA
defb $C0, $C0
defb $A5, $C0
defb $D0, $4A
defb $C0, $E0
defb $C8, $E0
defb $5A, $C0
defb $A5, $C8
defb $8D, $60
._tile_166
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_166_DATA
defb $5A, $C0
defb $4E, $F0
defb $25, $F
defb $5A, $C0
defb $85, $F0
defb $C0, $C0
defb $85, $30
defb $C0, $C0
._tile_167
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_167_DATA
defb $5A, $C0
defb $A5, $C8
defb $8D, $60
defb $5A, $C0
defb $A5, $C8
defb $C0, $60
defb $30, $C0
defb $C0, $C0
._tile_168
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_168_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $40
defb $80, $2
defb $0, $52
defb $E9, $12
._tile_169
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_169_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $0, $C0
defb $F0, $40
defb $30, $88
._tile_170
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_170_DATA
defb $0, $12
defb $80, $2
defb $C0, $40
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_171
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_171_DATA
defb $64, $40
defb $0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_172
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_172_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_173
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_173_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_174
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_174_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_175
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_175_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_176
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_176_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_177
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_177_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_178
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_178_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_179
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_179_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_180
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_180_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_181
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_181_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_182
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_182_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_183
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_183_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_184
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_184_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_185
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_185_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_186
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_186_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_187
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_187_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_188
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_188_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_189
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_189_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_190
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_190_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_191
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_191_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_192
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_192_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_193
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_193_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_194
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_194_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_195
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_195_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_196
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_196_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_197
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_197_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_198
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_198_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_199
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_199_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_200
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_200_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_201
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_201_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_202
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_202_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_203
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_203_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_204
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_204_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_205
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_205_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_206
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_206_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_207
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_207_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_208
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_208_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_209
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_209_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_210
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_210_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_211
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_211_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_212
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_212_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_213
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_213_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_214
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_214_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_215
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_215_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_216
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_216_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_217
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_217_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_218
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_218_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_219
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_219_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_220
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_220_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_221
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_221_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_222
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_222_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_223
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_223_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_224
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_224_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_225
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_225_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_226
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_226_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_227
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_227_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_228
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_228_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_229
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_229_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_230
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_230_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_231
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_231_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_232
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_232_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_233
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_233_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_234
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_234_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_235
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_235_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_236
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_236_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_237
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_237_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_238
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_238_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_239
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_239_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_240
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_240_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_241
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_241_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_242
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_242_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_243
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_243_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_244
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_244_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_245
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_245_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_246
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_246_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_247
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_247_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_248
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_248_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_249
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_249_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_250
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_250_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_251
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_251_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_252
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_252_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_253
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_253_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_254
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_254_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_255
; Tengo la cabeza mu gena pero el cuerpo lo tengo regul (caniho)
._tile_255_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
