; TILEMAPCONF PARA PHANTOMAS TALES #1: MARSPORT / CPC
; (C) 2009 THE MOJON TWINS

	XLIB TileMapConf
	
	XDEF tiles
	XDEF pantalla_juego
	XDEF tiles_tocados
	XDEF posiciones_pantalla
	XDEF posiciones_super_buffer
	
	XDEF posicion_inicial_area_visible
	XDEF posicion_inicial_superbuffer
	XDEF ancho_pantalla_bytes
	XDEF alto_pantalla_bytes
	XDEF ancho_pantalla_bytes_visible
	
	XDEF tile11
	XDEF _tile_0

	XDEF mascara1
	XDEF mascara2
	
	; Voy a definir como mscara de los sprites el color 12
	
	; 0: $00, $00
	; 1: $80, $40
	; 2: $04, $08
	; 3: $44, $88
	; 4: $10, $20
	; 5: $50, $A0
	; 6: $14, $28
	; 7: $54, $A8
	; 8: $01, $02
	; 9: $41, $82
	; 10: $05, $0A
	; 11: $45, $8A
	; 12: $11, $22
	
	defc mascara1 = $11;
	defc mascara2 = $22;
	
; VALORES QUE DEFINEN EL BUFFER Y LA PANTALLA

	defc posicion_inicial_area_visible = $e05a ;$e8a8
	defc posicion_inicial_superbuffer = $100
	
	defc T_WIDTH = 	30 ;32 ;28 ;32 ;28 ;16			;max=40		;dimensiones de la pantalla en tiles
	defc T_HEIGHT = 20 ;16							;max=20
		
	defc ancho_pantalla_bytes = 2*T_WIDTH ; 2*T_WIDTH;		; El ancho de pantalla influye determinantemente en 
															; numerosas rutinas que hay que actualizar si se cambia
															; OJO con el modo
	defc alto_pantalla_bytes = 8*T_HEIGHT ;
	
	defc ancho_pantalla_bytes_visible = 2*T_WIDTH ;32  ; 64;		;dentro del area definida, cuanto se debe mostrar. 2*T_WIDTH

;El tamao del buffer es ancho_pantalla_bytes*alto_pantalla_bytes


.TileMapConf
;Con la definicin del mapeado hay que tener en cuenta que las coordenadas son:
;ANCHO=64 bytes (128 pixels en modo 0)
;ALTO=128 pixels

;el mximo que entra en el CPC es 20 lneas
;SI NO SE VAN A USAR TODAS LAS LINEAS, PARA AHORRA MEMORIA ES INTERESANTE COMENTARLAS

.posiciones_pantalla		;Posiciones en las que se dibujan los tiles
	defw posicion_inicial_area_visible+$50*0
	defw posicion_inicial_area_visible+$50*1  
	defw posicion_inicial_area_visible+$50*2
	defw posicion_inicial_area_visible+$50*3
	defw posicion_inicial_area_visible+$50*4
	defw posicion_inicial_area_visible+$50*5 
	defw posicion_inicial_area_visible+$50*6 
	defw posicion_inicial_area_visible+$50*7 
	defw posicion_inicial_area_visible+$50*8 
	defw posicion_inicial_area_visible+$50*9 
	defw posicion_inicial_area_visible+$50*10 
	defw posicion_inicial_area_visible+$50*11 
	defw posicion_inicial_area_visible+$50*12 
	defw posicion_inicial_area_visible+$50*13 
	defw posicion_inicial_area_visible+$50*14 
	defw posicion_inicial_area_visible+$50*15
	defw posicion_inicial_area_visible+$50*16
	defw posicion_inicial_area_visible+$50*17
	defw posicion_inicial_area_visible+$50*18
	defw posicion_inicial_area_visible+$50*19

.posiciones_super_buffer	;muestra el inicio de cada lnea (son 10 tiles de 8x16 de alto)

	;defw $1000, $1200, $1400, $1600, $1800, $1a00, $1c00, $1e00, $2000, $2200, $2400, $2600, $2800, $2a00, $2c00, $2f00
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*0
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*1
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*2
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*3
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*4
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*5
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*6
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*7
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*8
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*9
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*10
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*11
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*12
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*13
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*14
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*15
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*16
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*17
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*18
	defw posicion_inicial_superbuffer+8*ancho_pantalla_bytes*19
	
	;defw $1000, $1480, $1900, $1d80, $2200, $2680, $2b00, $2f80, $3400, $3880
	
;Rutinas para transferir bloques independientes a la pantalla

;Se busca el subbloque de 8x8 correspondiente a las coordenadas x,y
;el bloque se calcula dividiendo la coordenada x /8

.pantalla_actual 
	defw 0

.pantalla_juego  ;en tiles
	defs T_WIDTH*T_HEIGHT
	defb $FF	;Este byte es importante, marca el fin de la pantalla.

.tiles_tocados defs 150 ;150	;cuando un tile es tocado, se marca en esta tabla para luego restaurarlo. Es una tabla sin duplicados.

.tiles ;Son de 2x8 bytes
._tiles

._tile_0

._tile_0_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_1

._tile_1_DATA
defb $0, $0
defb $4, $0
defb $4, $0
defb $4, $0
defb $4, $0
defb $0, $0
defb $4, $0
defb $0, $0
._tile_2

._tile_2_DATA
defb $0, $0
defb $58, $8
defb $58, $8
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_3

._tile_3_DATA
defb $0, $0
defb $58, $8
defb $F0, $A0
defb $58, $8
defb $58, $8
defb $F0, $A0
defb $58, $8
defb $0, $0
._tile_4

._tile_4_DATA
defb $0, $0
defb $4, $0
defb $58, $A0
defb $58, $0
defb $58, $A0
defb $4, $A0
defb $58, $A0
defb $4, $0
._tile_5

._tile_5_DATA
defb $0, $0
defb $A4, $A0
defb $F0, $8
defb $4, $0
defb $4, $0
defb $58, $A0
defb $A4, $A0
defb $0, $0
._tile_6

._tile_6_DATA
defb $0, $0
defb $4, $0
defb $58, $0
defb $4, $0
defb $58, $A0
defb $A4, $8
defb $58, $A0
defb $0, $0
._tile_7

._tile_7_DATA
defb $0, $0
defb $4, $0
defb $4, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_8

._tile_8_DATA
defb $0, $0
defb $0, $A0
defb $50, $0
defb $50, $0
defb $50, $0
defb $50, $0
defb $0, $A0
defb $0, $0
._tile_9

._tile_9_DATA
defb $0, $0
defb $A0, $0
defb $50, $0
defb $50, $0
defb $50, $0
defb $C, $0
defb $A0, $0
defb $0, $0
._tile_10

._tile_10_DATA
defb $0, $0
defb $0, $0
defb $50, $8
defb $4, $0
defb $58, $A0
defb $4, $0
defb $50, $8
defb $0, $0
._tile_11

._tile_11_DATA
defb $0, $0
defb $0, $0
defb $50, $0
defb $50, $0
defb $F0, $A0
defb $50, $0
defb $50, $0
defb $0, $0
._tile_12

._tile_12_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $4, $0
defb $4, $0
defb $4, $0
._tile_13

._tile_13_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $58, $A0
defb $0, $0
defb $0, $0
defb $0, $0
._tile_14

._tile_14_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $50, $0
defb $50, $0
defb $0, $0
._tile_15

._tile_15_DATA
defb $0, $0
defb $0, $0
defb $0, $A0
defb $4, $8
defb $4, $0
defb $4, $0
defb $C, $0
defb $0, $0
._tile_16

._tile_16_DATA
defb $0, $0
defb $58, $8
defb $A4, $A0
defb $A4, $A0
defb $A4, $A0
defb $A4, $A0
defb $58, $8
defb $0, $0
._tile_17

._tile_17_DATA
defb $0, $0
defb $50, $0
defb $58, $0
defb $50, $0
defb $50, $0
defb $50, $0
defb $58, $A0
defb $0, $0
._tile_18

._tile_18_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $0, $A0
defb $58, $8
defb $A0, $0
defb $F0, $A0
defb $0, $0
._tile_19

._tile_19_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $4, $8
defb $0, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_20

._tile_20_DATA
defb $0, $0
defb $50, $0
defb $58, $0
defb $F0, $0
defb $58, $0
defb $F0, $A0
defb $50, $0
defb $0, $0
._tile_21

._tile_21_DATA
defb $0, $0
defb $F0, $A0
defb $A0, $0
defb $F0, $8
defb $0, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_22

._tile_22_DATA
defb $0, $0
defb $58, $8
defb $A0, $0
defb $F0, $8
defb $A0, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_23

._tile_23_DATA
defb $0, $0
defb $F0, $A0
defb $0, $A0
defb $4, $8
defb $50, $0
defb $50, $0
defb $4, $0
defb $0, $0
._tile_24

._tile_24_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $58, $8
defb $A0, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_25

._tile_25_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $A0, $A0
defb $58, $A0
defb $0, $A0
defb $58, $8
defb $0, $0
._tile_26

._tile_26_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $4, $0
defb $0, $0
defb $0, $0
defb $4, $0
defb $0, $0
._tile_27

._tile_27_DATA
defb $0, $0
defb $0, $0
defb $50, $0
defb $0, $0
defb $0, $0
defb $50, $0
defb $50, $0
defb $A0, $0
._tile_28

._tile_28_DATA
defb $0, $0
defb $0, $0
defb $50, $A0
defb $50, $0
defb $50, $0
defb $50, $0
defb $50, $A0
defb $0, $0
._tile_29

._tile_29_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $58, $A0
defb $0, $0
defb $58, $A0
defb $0, $0
defb $0, $0
._tile_30

._tile_30_DATA
defb $0, $0
defb $0, $0
defb $4, $0
defb $4, $0
defb $4, $8
defb $4, $0
defb $4, $0
defb $0, $0
._tile_31

._tile_31_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $4, $8
defb $4, $0
defb $0, $0
defb $4, $0
defb $0, $0
._tile_32

._tile_32_DATA
defb $0, $0
defb $58, $8
defb $A4, $A0
defb $F0, $A0
defb $F0, $A0
defb $A0, $0
defb $58, $8
defb $0, $0
._tile_33

._tile_33_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $A0, $A0
defb $F0, $A0
defb $A0, $A0
defb $A0, $A0
defb $0, $0
._tile_34

._tile_34_DATA
defb $0, $0
defb $F0, $8
defb $A0, $A0
defb $F0, $8
defb $A0, $A0
defb $A0, $A0
defb $F0, $8
defb $0, $0
._tile_35

._tile_35_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $A0, $0
defb $A0, $0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_36

._tile_36_DATA
defb $0, $0
defb $F0, $0
defb $A4, $8
defb $A0, $A0
defb $A0, $A0
defb $A4, $8
defb $F0, $0
defb $0, $0
._tile_37

._tile_37_DATA
defb $0, $0
defb $F0, $A0
defb $A0, $0
defb $F0, $8
defb $A0, $0
defb $A0, $0
defb $F0, $A0
defb $0, $0
._tile_38

._tile_38_DATA
defb $0, $0
defb $F0, $A0
defb $A0, $0
defb $F0, $8
defb $A0, $0
defb $A0, $0
defb $A0, $0
defb $0, $0
._tile_39

._tile_39_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $A0, $0
defb $A4, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_40

._tile_40_DATA
defb $0, $0
defb $A0, $A0
defb $A0, $A0
defb $F0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $0, $0
._tile_41

._tile_41_DATA
defb $0, $0
defb $58, $A0
defb $4, $0
defb $4, $0
defb $4, $0
defb $4, $0
defb $58, $A0
defb $0, $0
._tile_42

._tile_42_DATA
defb $0, $0
defb $0, $A0
defb $0, $A0
defb $0, $A0
defb $A0, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_43

._tile_43_DATA
defb $0, $0
defb $A0, $8
defb $A4, $A0
defb $F0, $0
defb $A4, $0
defb $F0, $8
defb $A0, $A0
defb $0, $0
._tile_44

._tile_44_DATA
defb $0, $0
defb $A0, $0
defb $A0, $0
defb $A0, $0
defb $A0, $0
defb $A0, $0
defb $F0, $A0
defb $0, $0
._tile_45

._tile_45_DATA
defb $0, $0
defb $A0, $A0
defb $F0, $A0
defb $F0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $0, $0
._tile_46

._tile_46_DATA
defb $0, $0
defb $F0, $8
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $0, $0
._tile_47

._tile_47_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_48

._tile_48_DATA
defb $0, $0
defb $F0, $8
defb $A0, $A0
defb $A0, $A0
defb $F0, $8
defb $A0, $0
defb $A0, $0
defb $0, $0
._tile_49

._tile_49_DATA
defb $0, $0
defb $58, $8
defb $A0, $A0
defb $A0, $A0
defb $A4, $A0
defb $A4, $A0
defb $58, $8
defb $0, $0
._tile_50

._tile_50_DATA
defb $0, $0
defb $F0, $8
defb $A0, $A0
defb $A0, $A0
defb $F0, $8
defb $A4, $8
defb $A0, $A0
defb $0, $0
._tile_51

._tile_51_DATA
defb $0, $0
defb $58, $8
defb $A0, $0
defb $58, $8
defb $0, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_52

._tile_52_DATA
defb $0, $0
defb $F0, $A0
defb $50, $0
defb $50, $0
defb $50, $0
defb $50, $0
defb $50, $0
defb $0, $0
._tile_53

._tile_53_DATA
defb $0, $0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $58, $8
defb $0, $0
._tile_54

._tile_54_DATA
defb $0, $0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $58, $8
defb $50, $0
defb $0, $0
._tile_55

._tile_55_DATA
defb $0, $0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $A0, $A0
defb $F0, $A0
defb $58, $8
defb $0, $0
._tile_56

._tile_56_DATA
defb $0, $0
defb $A0, $A4
defb $58, $8
defb $50, $0
defb $50, $0
defb $58, $8
defb $A0, $A0
defb $0, $0
._tile_57

._tile_57_DATA
defb $0, $0
defb $A0, $A0
defb $A4, $A0
defb $58, $8
defb $50, $0
defb $50, $0
defb $50, $0
defb $0, $0
._tile_58

._tile_58_DATA
defb $0, $0
defb $F0, $A0
defb $4, $8
defb $4, $0
defb $4, $0
defb $C, $0
defb $F0, $A0
defb $0, $0
._tile_59

._tile_59_DATA
defb $0, $0
defb $50, $A0
defb $50, $0
defb $50, $0
defb $50, $0
defb $50, $0
defb $50, $A0
defb $0, $0
._tile_60

._tile_60_DATA
defb $0, $0
defb $0, $0
defb $A0, $0
defb $58, $0
defb $50, $0
defb $4, $0
defb $0, $A0
defb $0, $0
._tile_61

._tile_61_DATA
defb $0, $0
defb $F0, $0
defb $50, $0
defb $50, $0
defb $50, $0
defb $50, $0
defb $F0, $0
defb $0, $0
._tile_62

._tile_62_DATA
defb $0, $0
defb $4, $0
defb $58, $0
defb $F0, $8
defb $4, $0
defb $4, $0
defb $4, $0
defb $0, $0
._tile_63

._tile_63_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $F0, $F0
._tile_64

._tile_64_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_65

._tile_65_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_66

._tile_66_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_67

._tile_67_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_68

._tile_68_DATA
defb $80, $0
defb $14, $FF
defb $BC, $7D
defb $BE, $FE
defb $57, $A9
defb $1E, $7
defb $7D, $A9
defb $56, $7
._tile_69

._tile_69_DATA
defb $0, $0
defb $FE, $56
defb $FC, $A9
defb $FE, $7
defb $A9, $B
defb $3, $7
defb $F, $A
defb $A, $5
._tile_70

._tile_70_DATA
defb $A9, $3
defb $7, $7
defb $F, $F
defb $1, $B
defb $B, $3
defb $F, $7
defb $5, $F
defb $80, $0
._tile_71

._tile_71_DATA
defb $5, $0
defb $F, $4A
defb $3, $F
defb $7, $4A
defb $B, $4A
defb $7, $80
defb $4A, $40
defb $0, $0
._tile_72

._tile_72_DATA
defb $80, $0
defb $5, $AD
defb $54, $FE
defb $5F, $A9
defb $54, $7
defb $1, $3
defb $F, $7
defb $F, $F
._tile_73

._tile_73_DATA
defb $C0, $40
defb $5, $2
defb $5E, $7
defb $B, $7
defb $B, $F
defb $F, $7
defb $B, $F
defb $85, $A
._tile_74

._tile_74_DATA
defb $4A, $4A
defb $5, $5
defb $A9, $A9
defb $7, $7
defb $F, $F
defb $85, $85
defb $C0, $40
defb $0, $0
._tile_75

._tile_75_DATA
defb $4A, $0
defb $5, $7
defb $54, $F
defb $B, $7
defb $B, $F
defb $85, $4A
defb $5, $80
defb $0, $40
._tile_76

._tile_76_DATA
defb $0, $0
defb $56, $FF
defb $B, $FD
defb $0, $0
defb $5, $F
defb $1, $3
defb $D4, $7
defb $D4, $A9
._tile_77

._tile_77_DATA
defb $0, $0
defb $FF, $A9
defb $FE, $7
defb $0, $0
defb $5, $0
defb $A, $A
defb $A, $4A
defb $A, $4A
._tile_78

._tile_78_DATA
defb $80, $0
defb $C5, $CF
defb $C5, $C7
defb $C1, $E9
defb $C1, $C3
defb $C1, $E9
defb $C1, $C3
defb $C1, $E9
._tile_79

._tile_79_DATA
defb $0, $40
defb $8A, $CA
defb $82, $40
defb $8A, $CA
defb $82, $40
defb $8A, $CA
defb $82, $40
defb $8A, $CA
._tile_80

._tile_80_DATA
defb $C1, $E9
defb $C1, $C3
defb $C1, $E9
defb $C1, $C3
defb $C1, $E9
defb $C1, $C3
defb $C1, $E9
defb $C1, $C3
._tile_81

._tile_81_DATA
defb $8A, $CA
defb $82, $40
defb $8A, $CA
defb $82, $40
defb $8A, $CA
defb $82, $40
defb $8A, $CA
defb $82, $40
._tile_82

._tile_82_DATA
defb $C1, $E9
defb $C1, $C3
defb $C1, $E9
defb $C1, $C3
defb $C1, $E9
defb $C1, $C3
defb $C1, $E9
defb $C1, $C3
._tile_83

._tile_83_DATA
defb $8A, $CA
defb $82, $40
defb $8A, $CA
defb $82, $40
defb $8A, $CA
defb $82, $40
defb $8A, $CA
defb $82, $40
._tile_84

._tile_84_DATA
defb $80, $0
defb $14, $FE
defb $BC, $7D
defb $BE, $FE
defb $57, $A9
defb $81, $7
defb $57, $A9
defb $BE, $FE
._tile_85

._tile_85_DATA
defb $C0, $40
defb $5, $2
defb $A9, $7
defb $56, $7
defb $3, $4A
defb $7, $7
defb $B, $4A
defb $F, $80
._tile_86

._tile_86_DATA
defb $FD, $A9
defb $56, $7
defb $F, $4A
defb $5, $7
defb $B, $B
defb $F, $7
defb $5, $4A
defb $80, $0
._tile_87

._tile_87_DATA
defb $4A, $F
defb $85, $7
defb $5E, $F
defb $FC, $7
defb $B, $F
defb $85, $4A
defb $5, $80
defb $0, $40
._tile_88

._tile_88_DATA
defb $80, $0
defb $18, $F0
defb $D8, $F0
defb $10, $F0
defb $80, $4
defb $44, $F0
defb $80, $0
defb $80, $70
._tile_89

._tile_89_DATA
defb $0, $0
defb $F0, $70
defb $B0, $B0
defb $F0, $70
defb $CC, $4C
defb $F0, $70
defb $4C, $8C
defb $F0, $70
._tile_90

._tile_90_DATA
defb $80, $CC
defb $80, $5A
defb $80, $70
defb $80, $5A
defb $80, $0
defb $5, $F0
defb $10, $F0
defb $5, $F0
._tile_91

._tile_91_DATA
defb $8C, $8C
defb $B0, $30
defb $70, $64
defb $B0, $B0
defb $CC, $4C
defb $B0, $30
defb $70, $64
defb $B0, $30
._tile_92

._tile_92_DATA
defb $0, $0
defb $30, $30
defb $30, $30
defb $30, $30
defb $C, $C
defb $30, $30
defb $C, $C
defb $30, $30
._tile_93

._tile_93_DATA
defb $0, $0
defb $30, $64
defb $30, $30
defb $30, $64
defb $C, $C
defb $30, $30
defb $C, $C
defb $30, $30
._tile_94

._tile_94_DATA
defb $C, $C
defb $98, $CC
defb $CC, $CC
defb $CC, $89
defb $C, $C
defb $98, $CC
defb $64, $CC
defb $98, $CC
._tile_95

._tile_95_DATA
defb $C, $C
defb $CC, $46
defb $CC, $89
defb $CC, $46
defb $C0, $48
defb $CC, $89
defb $CC, $46
defb $CC, $89
._tile_96

._tile_96_DATA
defb $0, $0
defb $64, $7
defb $CC, $89
defb $64, $7
defb $84, $C0
defb $89, $E
defb $48, $48
defb $89, $F
._tile_97

._tile_97_DATA
defb $0, $40
defb $6, $80
defb $E, $8
defb $C, $80
defb $80, $40
defb $E, $80
defb $80, $40
defb $C, $40
._tile_98

._tile_98_DATA
defb $C, $48
defb $7, $F
defb $3, $E
defb $7, $7
defb $C0, $C0
defb $3, $E
defb $7, $7
defb $3, $F
._tile_99

._tile_99_DATA
defb $C0, $40
defb $48, $40
defb $C, $40
defb $48, $40
defb $80, $40
defb $E, $80
defb $C, $8
defb $E, $80
._tile_100

._tile_100_DATA
defb $80, $0
defb $5, $85
defb $B, $B
defb $3, $B
defb $AB, $B
defb $A9, $5F
defb $AB, $5E
defb $A9, $D5
._tile_101

._tile_101_DATA
defb $0, $40
defb $4A, $A
defb $7, $7
defb $7, $3
defb $4A, $56
defb $5E, $7
defb $B, $AD
defb $5E, $42
._tile_102

._tile_102_DATA
defb $16, $F
defb $1E, $4A
defb $1E, $85
defb $81, $C0
defb $85, $C0
defb $85, $C0
defb $C0, $C0
defb $C0, $C0
._tile_103

._tile_103_DATA
defb $85, $2D
defb $85, $68
defb $C0, $7
defb $85, $4A
defb $C0, $4A
defb $C0, $C0
defb $C0, $4A
defb $C0, $C0
._tile_104

._tile_104_DATA
defb $C0, $D1
defb $C0, $C0
defb $C0, $C0
defb $C0, $C4
defb $C0, $95
defb $C0, $C0
defb $C0, $C0
defb $C0, $94
._tile_105

._tile_105_DATA
defb $C0, $C0
defb $E2, $C8
defb $95, $C0
defb $D1, $C0
defb $D1, $C0
defb $E2, $6A
defb $6A, $6A
defb $C0, $C0
._tile_106

._tile_106_DATA
defb $C0, $68
defb $C8, $6A
defb $95, $C0
defb $D1, $C0
defb $D1, $C0
defb $6A, $E2
defb $6A, $D1
defb $C0, $D1
._tile_107

._tile_107_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $E8
defb $85, $AD
defb $D4, $7C
defb $2B, $7C
defb $85, $AD
defb $C0, $42
._tile_108

._tile_108_DATA
defb $C0, $C0
defb $58, $B0
defb $E0, $C0
defb $E4, $B0
defb $70, $C0
defb $B0, $C0
defb $30, $C0
defb $60, $C0
._tile_109

._tile_109_DATA
defb $C0, $C0
defb $30, $8C
defb $C0, $C4
defb $48, $90
defb $C0, $C4
defb $C0, $C4
defb $C0, $4C
defb $C0, $8C
._tile_110

._tile_110_DATA
defb $64, $C0
defb $24, $C0
defb $60, $C0
defb $C8, $C0
defb $60, $84
defb $C8, $C4
defb $4C, $8C
defb $C0, $C0
._tile_111

._tile_111_DATA
defb $84, $C4
defb $C4, $84
defb $48, $84
defb $C8, $84
defb $C0, $C
defb $84, $C
defb $8C, $48
defb $C0, $C0
._tile_112

._tile_112_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $48
defb $C0, $C8
defb $C0, $60
defb $C0, $E0
defb $C0, $E0
defb $84, $E0
._tile_113

._tile_113_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C8
defb $C0, $60
defb $C0, $E0
defb $C0, $60
._tile_114

._tile_114_DATA
defb $C4, $E4
defb $90, $B0
defb $D0, $F0
defb $90, $B0
defb $D0, $F0
defb $58, $F0
defb $D8, $F0
defb $70, $F0
._tile_115

._tile_115_DATA
defb $C0, $A4
defb $C0, $E4
defb $C0, $B0
defb $84, $F0
defb $C4, $B0
defb $90, $F0
defb $D0, $F0
defb $D8, $F0
._tile_116

._tile_116_DATA
defb $64, $CC
defb $8C, $C
defb $8C, $C
defb $8C, $C8
defb $8C, $80
defb $8C, $80
defb $8C, $88
defb $8C, $8
._tile_117

._tile_117_DATA
defb $CC, $8C
defb $C, $D
defb $C, $D
defb $C4, $D
defb $40, $D
defb $40, $D
defb $44, $D
defb $4, $D
._tile_118

._tile_118_DATA
defb $8C, $88
defb $8C, $88
defb $8C, $80
defb $8C, $0
defb $8C, $C
defb $8C, $C
defb $8C, $C
defb $D, $F
._tile_119

._tile_119_DATA
defb $44, $D
defb $44, $D
defb $40, $D
defb $0, $D
defb $C, $D
defb $C, $D
defb $C, $D
defb $F, $4F
._tile_120

._tile_120_DATA
defb $C0, $C0
defb $C0, $DE
defb $D4, $3C
defb $94, $6D
defb $94, $6D
defb $94, $6D
defb $D4, $3C
defb $C0, $DE
._tile_121

._tile_121_DATA
defb $C0, $C0
defb $CA, $C0
defb $7C, $C0
defb $3C, $C0
defb $3C, $C0
defb $3C, $C0
defb $7C, $C0
defb $CA, $C0
._tile_122

._tile_122_DATA
defb $C0, $94
defb $C0, $94
defb $C0, $94
defb $D4, $3C
defb $C0, $9E
defb $D4, $3C
defb $C0, $C0
defb $C0, $C0
._tile_123

._tile_123_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_124

._tile_124_DATA
defb $C0, $C0
defb $C0, $16
defb $C5, $ED
defb $94, $DE
defb $D4, $F0
defb $56, $F4
defb $7C, $3C
defb $7C, $B4
._tile_125

._tile_125_DATA
defb $C0, $C0
defb $ED, $C0
defb $DE, $CA
defb $ED, $68
defb $3C, $E8
defb $BC, $ED
defb $BC, $BC
defb $BC, $BC
._tile_126

._tile_126_DATA
defb $7C, $7C
defb $7C, $7C
defb $DE, $7C
defb $D4, $3C
defb $94, $DE
defb $C5, $ED
defb $C0, $9E
defb $C0, $C0
._tile_127

._tile_127_DATA
defb $3C, $BC
defb $3C, $3
defb $3C, $ED
defb $7C, $42
defb $47, $E8
defb $DE, $CA
defb $47, $C0
defb $C0, $C0
._tile_128

._tile_128_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $80
defb $C0, $85
defb $C0, $D4
defb $C0, $1E
defb $C0, $1E
defb $C0, $5E
._tile_129

._tile_129_DATA
defb $80, $40
defb $5E, $E8
defb $BC, $28
defb $3C, $7C
defb $3C, $FC
defb $3C, $7C
defb $3C, $AD
defb $7C, $A8
._tile_130

._tile_130_DATA
defb $C0, $11
defb $C0, $50
defb $C0, $A0
defb $80, $E0
defb $D0, $40
defb $72, $C0
defb $91, $C0
defb $C0, $C0
._tile_131

._tile_131_DATA
defb $FC, $42
defb $7, $40
defb $0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_132

._tile_132_DATA
defb $C0, $C0
defb $58, $B0
defb $A0, $40
defb $A0, $0
defb $60, $0
defb $A0, $4C
defb $60, $0
defb $20, $40
._tile_133

._tile_133_DATA
defb $C0, $C0
defb $30, $8C
defb $4, $C4
defb $8, $10
defb $88, $44
defb $4, $44
defb $0, $C4
defb $44, $4
._tile_134

._tile_134_DATA
defb $20, $0
defb $20, $84
defb $24, $0
defb $88, $44
defb $20, $4
defb $88, $40
defb $4C, $8C
defb $C0, $C0
._tile_135

._tile_135_DATA
defb $8, $44
defb $0, $4
defb $48, $C
defb $40, $4
defb $0, $84
defb $0, $4
defb $8C, $48
defb $C0, $C0
._tile_136

._tile_136_DATA
defb $C0, $C0
defb $C0, $48
defb $C0, $4A
defb $C0, $C8
defb $85, $25
defb $4C, $E4
defb $85, $25
defb $C0, $C8
._tile_137

._tile_137_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $48, $C0
defb $C0, $C0
defb $C0, $C0
._tile_138

._tile_138_DATA
defb $C0, $4A
defb $C0, $48
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_139

._tile_139_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_140

._tile_140_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $95
defb $C0, $3E
._tile_141

._tile_141_DATA
defb $C0, $7B
defb $D1, $15
defb $68, $D1
defb $2A, $6A
defb $A2, $F3
defb $B7, $E2
defb $D1, $80
defb $6A, $0
._tile_142

._tile_142_DATA
defb $95, $15
defb $C0, $E2
defb $6A, $2A
defb $95, $E2
defb $B6, $F3
defb $95, $E2
defb $7B, $0
defb $E2, $0
._tile_143

._tile_143_DATA
defb $A2, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $80, $A2
defb $0, $0
defb $0, $0
defb $0, $0
._tile_144

._tile_144_DATA
defb $0, $0
defb $0, $0
defb $0, $40
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $51
defb $0, $D1
._tile_145

._tile_145_DATA
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $A2
defb $0, $0
defb $0, $0
defb $80, $0
._tile_146

._tile_146_DATA
defb $40, $B7
defb $0, $D1
defb $0, $51
defb $0, $0
defb $0, $0
defb $0, $0
defb $40, $0
defb $0, $0
._tile_147

._tile_147_DATA
defb $E2, $0
defb $80, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $0
defb $0, $A2
._tile_148

._tile_148_DATA
defb $E2, $C0
defb $6A, $6A
defb $F3, $C0
defb $95, $95
defb $0, $7B
defb $0, $51
defb $40, $A2
defb $0, $95
._tile_149

._tile_149_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $68, $C0
defb $C0, $C0
defb $6A, $C0
defb $95, $C0
defb $7B, $C0
._tile_150

._tile_150_DATA
defb $0, $0
defb $0, $40
defb $0, $D1
defb $0, $40
defb $0, $0
defb $0, $A2
defb $0, $0
defb $0, $0
._tile_151

._tile_151_DATA
defb $F3, $C0
defb $E2, $C0
defb $C0, $68
defb $6A, $6A
defb $D1, $6A
defb $15, $E2
defb $0, $B7
defb $0, $D1
._tile_152

._tile_152_DATA
defb $C0, $85
defb $C0, $D4
defb $C0, $1E
defb $C0, $AD
defb $85, $68
defb $D4, $4A
defb $1E, $F
defb $B4, $3C
._tile_153

._tile_153_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $F, $4A
defb $3C, $E8
._tile_154

._tile_154_DATA
defb $B4, $3C
defb $1E, $F
defb $D4, $4A
defb $85, $68
defb $C0, $AD
defb $C0, $1E
defb $C0, $D4
defb $C0, $85
._tile_155

._tile_155_DATA
defb $3C, $E8
defb $F, $4A
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_156

._tile_156_DATA
defb $C0, $84
defb $C0, $C4
defb $C0, $90
defb $C0, $84
defb $C0, $C0
defb $C0, $C0
defb $C, $C
defb $98, $30
._tile_157

._tile_157_DATA
defb $C0, $C0
defb $C0, $C0
defb $48, $C0
defb $C8, $C0
defb $24, $C0
defb $4C, $C0
defb $18, $48
defb $30, $E0
._tile_158

._tile_158_DATA
defb $98, $30
defb $C, $C
defb $C0, $C0
defb $C0, $C0
defb $C0, $84
defb $C0, $90
defb $C0, $C4
defb $C0, $84
._tile_159

._tile_159_DATA
defb $30, $E0
defb $18, $48
defb $4C, $C0
defb $24, $C0
defb $C8, $C0
defb $48, $C0
defb $C0, $C0
defb $C0, $C0
._tile_160

._tile_160_DATA
defb $C0, $D1
defb $C0, $94
defb $C0, $B7
defb $C0, $3D
defb $D1, $3F
defb $94, $B7
defb $B7, $95
defb $79, $95
._tile_161

._tile_161_DATA
defb $C0, $C0
defb $C0, $C0
defb $E2, $C0
defb $68, $C0
defb $7B, $C0
defb $B6, $C0
defb $95, $E2
defb $D1, $68
._tile_162

._tile_162_DATA
defb $6A, $95
defb $E2, $95
defb $C0, $95
defb $C0, $95
defb $C0, $95
defb $C0, $95
defb $C0, $95
defb $C0, $C0
._tile_163

._tile_163_DATA
defb $C0, $6A
defb $C0, $E2
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_164

._tile_164_DATA
defb $C0, $C0
defb $C0, $F0
defb $C0, $C0
defb $5A, $30
defb $A5, $F
defb $5A, $C0
defb $4E, $F0
defb $25, $F
._tile_165

._tile_165_DATA
defb $C0, $C0
defb $A5, $C0
defb $D0, $4A
defb $C0, $E0
defb $C8, $E0
defb $5A, $C0
defb $A5, $C8
defb $8D, $60
._tile_166

._tile_166_DATA
defb $5A, $C0
defb $4E, $F0
defb $25, $F
defb $5A, $C0
defb $85, $F0
defb $C0, $C0
defb $85, $30
defb $C0, $C0
._tile_167

._tile_167_DATA
defb $5A, $C0
defb $A5, $C8
defb $8D, $60
defb $5A, $C0
defb $A5, $C8
defb $C0, $60
defb $30, $C0
defb $C0, $C0
._tile_168

._tile_168_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $40
defb $80, $2
defb $0, $52
defb $E9, $12
._tile_169

._tile_169_DATA
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $0, $C0
defb $F0, $40
defb $30, $88
._tile_170

._tile_170_DATA
defb $0, $12
defb $80, $2
defb $C0, $40
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
._tile_171

._tile_171_DATA
defb $64, $40
defb $0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0
defb $C0, $C0